*
* lookup data tables initfr.asm in bottom
*

DEATHHEADS	EQU	74
DEATHLEGS	EQU	59
DEATHTORSO	EQU	47

*
* picture offsets into pieces
*		big frame offsets
*		bob size index, bob muzzle index
*		legs
*		torso
*		head
*		length to hold/order to drop


WALKOFF		EQU	3		;frame offsets...
CROUCHOFF	EQU	11
JUMPOFF		EQU	25
LANDOFF		EQU	34
TURNOFF		EQU	38
STOPOFF		EQU	45
PUNCHOFF	EQU	52
DANCEOFF3	EQU	58
DPREMOFF	EQU	60
SQUISHOFF	EQU	67
HANDOFF		EQU	74
CLIMBOFF	EQU	78
INTROOFF	EQU	87
SLEEPOFF	EQU	107
SPLATWOFF	EQU	118
SPLATGOFF	EQU	125
REZOFF		EQU	141
WALLOFF		EQU	154		;wind blo
SURPRISEOFF	EQU	159
HURDLEOFF	EQU	160
UPOFF		EQU	163
HANDTOFF	EQU	165
HURDLETOFF	EQU	170
FALLTOFF	EQU	174
HAPPYDANCE	EQU	178
AHEADWHACK	EQU	182
SHOOTUPOFF	EQU	186
CROUCHTOFF	EQU	190
WADDLEOFF	EQU	194
SHIELDOFF	EQU	198
DANCEOFF	EQU	200
DANCEOFF2	EQU	204
BFOOTTAP	EQU	206
BSCREENWAVE	EQU	209
BDOZEOFF	EQU	212
BSCOOTER	EQU	221
BSPACESHIP	EQU	223
BDEATH		EQU	224		;crumble
BDEATH2		EQU	238		;melt


framepieces:
	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,6,3
		
	dc.w	bframe9
	dc.b	0,0
	dc.b	0,0,22,3	
	
	dc.w	bframe10
	dc.b	0,0
	dc.b	0,14,22,5	
	
	dc.w	bframe2	
	dc.b	0,0
	dc.b	2,0,6,5
	
	dc.w	bframe3
	dc.b	0,0  ;-2
	dc.b	3,0,16,5
	
	dc.w	bframe4
	dc.b	0,0
	dc.b	4,0,20,5
	
	dc.w	bframe5
	dc.b	0,0 ;-2
	dc.b	5,0,16,5

	dc.w	bframe6
	dc.b	0,0
	dc.b	6,0,6,5
	
	dc.w	bframe7
	dc.b	0,0  ;-2
	dc.b	7,0,16,5
	
	dc.w	bframe8
	dc.b	0,0
	dc.b	8,0,20,5	
	
	dc.w	bframe1
	dc.b	0,0  ;-2
	dc.b	1,0,16,5

	;crouch	
	
	dc.w	bframe16	;going down
	dc.b	1,1	
	dc.b	10,0,2,3	
	
	dc.w	b3frame35
	dc.b	2,2	
	dc.b	10,0,2,3
	
	dc.w	b3frame36
	dc.b	2,3	
	dc.b	43,10,6,3	;14,13,5,128+4
	
	dc.w	b3frame37
	dc.b	3,3 
	dc.b	43,10,18,3	;14,13,18,128+4
	
	dc.w	b3frame38
	dc.b	3,3 
	dc.b	43,0,21,3	;14,13,21,128+4

	dc.w	b3frame39
	dc.b	3,3	
	dc.b	43,0,18,3	;14,13,16,128+4
		
	dc.w	b3frame39	;is down!!!
	dc.b	3,3	
	dc.b	43,0,6,3	;41
	
	dc.w	b3frame39	;coming up
	dc.b	3,3		
	dc.b	41,0,18,3	
	
	dc.w	b3frame40
	dc.b	3,3	
	dc.b	41,0,21,3	
	
	dc.w	bframe26
	dc.b	3,3	
	dc.b	10,0,20,3

	dc.w	bframe0
	dc.b	0,0	  
	dc.b	0,0,2,3

	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,16,3

	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,6,3

	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,6,3
	
	;jump
	
	dc.w	bframe16
	dc.b	1,8	;0,0+8
	dc.b	10,0,2,4
	
	dc.w	bframe17
	dc.b	1,9	;0,0+12
	dc.b	10,0,18,4
		
	dc.w	bframe18
	dc.b	0,0
	dc.b	8,0,21,4
		
	dc.w	b3frame20
	dc.b	0,0
	dc.b	1,0,16,3
		
	dc.w	b3frame20
	dc.b	0,0
	dc.b	1,0,6,1
		
	dc.w	b3frame20
	dc.b	0,0
	dc.b	11,0,6,1
		
	dc.w	b3frame20
	dc.b	0,0
	dc.b	12,0,6,1
		
	dc.w	bframe19
	dc.b	0,9	;#GUNOFFX-2,#GUNOFFY
	dc.b	12,0,6,1
		
	dc.w	bframe20
	dc.b	0,9	;#GUNOFFX-2,#GUNOFFY
	dc.b	12,0,2,1
		
	; landing
	
	dc.w	bframe16
	dc.b	1,8	;0,0+8
	dc.b	10,0,2,5
		
	dc.w	bframe17
	dc.b	1,10	;0,0+10
	dc.b	10,0,18,5
		
	dc.w	bframe21
	dc.b	0,8	;0,0+8
	dc.b	10,0,21,5
	
	dc.w	bframe22
	dc.b	0,0
	dc.b	0,0,16,5
	
	;turning
	
	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,26,3
	
	dc.w	bframe11
	dc.b	0,-1	;#NOGUNOFFX,#NOGUNOFFY	;no fire
	dc.b	0,15,39,3
	
	dc.w	bframe12
	dc.b	0,-1	;#NOGUNOFFX,#NOGUNOFFY	;no fire
	dc.b	21,15,2,3
	
	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,11,3	
	
	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,16,60
	
	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,2,60

	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,26,60
		

	;stopping
	
	dc.w	bframe2
	dc.b	0,0
	dc.b	2,0,16,1
	
	dc.w	bframe13
	dc.b	0,9	;#GUNOFFX-2,#GUNOFFY
	dc.b	2,0,16,1
	
	dc.w	bframe14
	dc.b	0,11 ;#GUNOFFX-2,#GUNOFFY+2
	dc.b	2,0,20,1
	
	dc.w	bframe15
	dc.b	0,0
	dc.b	0,0,20,1
	
	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,16,1
	
	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,2,1
	
	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,6,1
	
	; punching
	
	dc.w	bframe0
	dc.b	0,0
	dc.b	0,2,11,3
	
	dc.w	bframe27
	dc.b	0,0
	dc.b	0,9,6,3
	
	dc.w	bframe28
	dc.b	0,0
	dc.b	0,6,2,5
	
	dc.w	bframe29
	dc.b	0,0
	dc.b	0,9,6,3

	dc.w	bframe0
	dc.b	0,0
	dc.b	0,1,11,4
	
	dc.w	bframe27
	dc.b	0,0
	dc.b	0,11,6,5

	; close eye shrug
	
	dc.w	b2frame13
	dc.b	0,-1
	dc.b	21,39,18,5
	
	dc.w	b2frame14
	dc.b	0,-1
	dc.b	0,38,25,5	
	
	; deploying remotes		- cannot fire!!!
	
	dc.w	bframe30
	dc.b	0,-1	;#NOGUNOFFX,#NOGUNOFFY
	dc.b	0,24,6,5
	
	dc.w	bframe31
	dc.b	0,-1	;#NOGUNOFFX,#NOGUNOFFY
	dc.b	0,16,6,5
	
	dc.w	bframe31
	dc.b	0,-1	;#NOGUNOFFX,#NOGUNOFFY
	dc.b	0,17,6,5
	
	dc.w	bframe31
	dc.b	0,-1	;#NOGUNOFFX,#NOGUNOFFY
	dc.b	0,18,6,5	;15
	
	dc.w	bframe31
	dc.b	0,-1	;#NOGUNOFFX,#NOGUNOFFY
	dc.b	0,17,6,5
	
	dc.w	bframe31
	dc.b	0,-1	;#NOGUNOFFX,#NOGUNOFFY
	dc.b	0,16,6,5
	
	dc.w	bframe30
	dc.b	0,-1	;#NOGUNOFFX,#NOGUNOFFY
	dc.b	0,24,6,5

;	squish by wall

 	dc.w	bframe26
	dc.b	3,-1
	dc.b	10,0,20,3
	
	dc.w	bframe25
	dc.b	3,-1	
	dc.b	10,0,21,3
	
	dc.w	b3frame5
	dc.b	3,-1	
	dc.b	25,0,24,3
	
	dc.w	dframe5
	dc.b	3,-1
	dc.b	47+0,10+59,DEATHHEADS+0,45
	
	dc.w	dframe5
	dc.b	3,-1
	dc.b	47+0,10+59,DEATHHEADS+0,45

	dc.w	bframe0
	dc.b	3,0
	dc.b	0,0,2,5
	
	dc.w	bframe0
	dc.b	3,0
	dc.b	0,0,16,5
	
	; hand over hand
	
	dc.w	b2frame12
	dc.b	0,0
	dc.b	11,19,16,5
	
	dc.w	b2frame12
	dc.b	0,0
	dc.b	11,20,16,5
	
	dc.w	b2frame12
	dc.b	0,0
	dc.b	11,21,16,5
	
	dc.w	b2frame12
	dc.b	0,0
	dc.b	11,22,16,5
	
	; ladder climb
	
	dc.w	b2frame2
	dc.b	0,13	;#GUNOFFX+12,#GUNOFFY
	dc.b	0,28,30,1

	dc.w	b2frame2
	dc.b	0,13	;#GUNOFFX+12,#GUNOFFY
	dc.b	0,28,30,1
	
	dc.w	b2frame3
	dc.b	0,13	;#GUNOFFX+12,#GUNOFFY
	dc.b	0,28,30,1
	
	dc.w	b2frame3
	dc.b	0,13	;#GUNOFFX+12,#GUNOFFY
	dc.b	0,28,30,1
	
	dc.w	b2frame3
	dc.b	0,13	;#GUNOFFX+12,#GUNOFFY
	dc.b	16,28,30,5
	
	dc.w	b2frame3
	dc.b	0,13	;#GUNOFFX+12,#GUNOFFY
	dc.b	17,29,30,5
	
	dc.w	b2frame3
	dc.b	0,13	;#GUNOFFX+12,#GUNOFFY
	dc.b	18,30,30,5
	
	dc.w	b2frame3
	dc.b	0,13	;#GUNOFFX+12,#GUNOFFY
	dc.b	17,29,30,5
	
	dc.w	b2frame4			;turning turner
	dc.b	0,13	;#GUNOFFX+12,#GUNOFFY
	dc.b	17,31,31,5
	
	; ride in "intro" vehicle
	
	dc.w	dframe7		;0
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+5,5
	
	dc.w	dframe7		;1
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+6,5
	
	dc.w	dframe7		;2
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+7,5
	
	dc.w	dframe8		;3
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+8,5
	
	dc.w	dframe9		;4
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+9,5
	
	dc.w	dframe7		;5
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+10,5
	
	dc.w	dframe7		;6
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+11,5
	
	dc.w	dframe10	;	;7
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+12,5
	
	dc.w	dframe7		;8
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+13,5
	
	dc.w	dframe11		;9
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+14,5
	
	dc.w	dframe12		;10
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+8,5
	
	dc.w	dframe7		;11
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+8,5
	
	dc.w	dframe13		;12
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+15,5
	
	dc.w	dframe7		;13
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+0,5
	
	dc.w	b2frame16			;-4
	dc.b	0,0
	dc.b	12,14,22,3
	 
	dc.w	b2frame16			;-4
	dc.b	0,-1
	dc.b	12,14,22,3
	
	dc.w	b2frame16			;-4
	dc.b	0,-1
	dc.b	12,14,22,3
	
	dc.w	b2frame17			;-4
	dc.b	0,-1
	dc.b	12,0,19,5
		 
	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,0,5

	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,16,5
	
	;	hiding from borgs...
	
	dc.w	bframe30
	dc.b	0,-1
	dc.b	0,24,16,5
	
	dc.w	b2frame18
	dc.b	0,-1
	dc.b	21,16,6,5
	
	dc.w	b2frame18
	dc.b	0,-1
	dc.b	21,16,6,5
	
	dc.w	b2frame19
	dc.b	0,-1
	dc.b	28,43,26,5
	
	dc.w	b2frame20
	dc.b	0,-1
	dc.b	28,43,26,5
	
	dc.w	b2frame21
	dc.b	0,-1
	dc.b	28,43,26,5
	
	dc.w	b2frame22
	dc.b	0,-1
	dc.b	28,43,26,5
	
	dc.w	b2frame23
	dc.b	0,-1
	dc.b	28,43,26,5
	
	dc.w	b2frame23
	dc.b	0,-1
	dc.b	28,43,27,5			;both eyes closed
	
	dc.w	b2frame23
	dc.b	0,-1
	dc.b	28,43,41,5			;left eye closed
	
	dc.w	b2frame23			
	dc.b	0,-1
	dc.b	28,43,42,95			;right eye closed
	
	;	splatting into wall
	
	dc.w	b3frame0
	dc.b	0,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	27,36,19,7

	dc.w	bframe7
	dc.b	0,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	7,0,19,4
	
	dc.w	b2frame16
	dc.b	0,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	12,14,22,4
	
	dc.w	b2frame17
	dc.b	0,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	12,0,15,4
	
	dc.w	b3frame1
	dc.b	0,-1
	dc.b	0,0,0,5
	
	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,16,5
	
	; splat on ground
		
	dc.w	b3frame2
	dc.b	0,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	24,0,4,3
	
	dc.w	b3frame3
	dc.b	3,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	25,0,5,8
	
	dc.w	b3frame4
	dc.b	3,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	26,37,43,8
	
	dc.w	b3frame5
	dc.b	3,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	25,0,24,10
	
	dc.w	b3frame6
	dc.b	3,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	25,0,32,10
	
	dc.w	b3frame7
	dc.b	3,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	25,0,35,10
	
	dc.w	b3frame7
	dc.b	3,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	25,0,36,10
	
	dc.w	b3frame7
	dc.b	3,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	25,0,37,10

	dc.w	b3frame7
	dc.b	3,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	25,0,38,10

	dc.w	b3frame7
	dc.b	3,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	25,0,35,10

	dc.w	b3frame7
	dc.b	3,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	25,0,36,10
	
	dc.w	b3frame7
	dc.b	3,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	25,0,37,10

	dc.w	b3frame8
	dc.b	2,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	10,0,25,10

	dc.w	bframe25
	dc.b	2,-1
	dc.b	10,0,21,10

	dc.w	b3frame9
	dc.b	1,-1
	dc.b	10,0,16,10
	
	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,2,5
	
	dc.w	bframe0
	dc.b	0,0
	dc.b	0,0,2,5
	
	;	141 rez bob in and out
	
;	dc.w	b2frame20			;regular sleep
;	dc.b	0,-1
;	dc.b	28,43,54,5
	
	dc.w	b2frame19
	dc.b	0,-1
	dc.b	21,43,26,5
	
	dc.w	b3frame34			;rez 1
	dc.b	0,-1
	dc.b	33,51,54,5
		
	dc.w	b3frame34			;rez 3
	dc.b	0,-1
	dc.b	35,52,55,5
	
	dc.w	b3frame34			;rez 4
	dc.b	0,-1
	dc.b	36,53,56,5
	
	dc.w	b3frame34			;rez 5
	dc.b	0,-1
	dc.b	37,54,57,5
	
	dc.w	b3frame34			;rez 6
	dc.b	0,-1
	dc.b	38,55,58,5
	
	dc.w	b3frame34			;rez 7
	dc.b	0,-1
	dc.b	39,56,59,5

	dc.w	b3frame34			;rez 2
	dc.b	0,-1
	dc.b	34,51,54,5
		
	dc.w	b3frame34			;rez 5
	dc.b	0,-1
	dc.b	36,53,43,5
	
	dc.w	b3frame34			;rez 6
	dc.b	0,-1
	dc.b	36,53,43,5
		
	dc.w	b3frame16
	dc.b	0,0
	dc.b	19,40,23,5
	
	dc.w	b3frame16
	dc.b	0,0
	dc.b	19,40,29,5
	
	dc.w	b3frame17
	dc.b	0,0
	dc.b	20,39,29,5
	
	;	blown around...

	dc.w	b2frame16			;-4
	dc.b	0,-1
	dc.b	12,14,22,3
			
	dc.w	bframe2
	dc.b	0,13
	dc.b	0,29,31,5
		
	dc.w	bframe2					;turn
	dc.b	0,13
	dc.b	0,28,31,5
	
	dc.w	bframe2
	dc.b	0,13
	dc.b	0,29,31,5
	
	dc.w	bframe1
	dc.b	0,0
	dc.b	0,27,30,5
	
	;	surprised
	
	dc.w	b2frame5
	dc.b	0,0		;-1			;for spaceship
	dc.b	0,35,34,5
	
	;	hurdle jump
	
	dc.w	bframe5
	dc.b	0,0
	dc.b	1,0,16,5
	
	dc.w	bframe5
	dc.b	0,0
	dc.b	30,0,6,5

	dc.w	bframe5
	dc.b	0,0
	dc.b	31,0,6,5
	
	; jump straight up
	
	dc.w	b3frame20
	dc.b	0,0
	dc.b	11,0,16,5
	
	dc.w	b3frame20
	dc.b	0,0
	dc.b	11,0,11,5
	
	dc.w	b3frame20
	dc.b	0,0
	dc.b	11,0,6,5
	
	; turn on wire
	
	dc.w	b2frame12
	dc.b	0,0
	dc.b	11,0,16,3
	
	dc.w	b3frame21
	dc.b	0,-1
	dc.b	11,15,26,3
	
	dc.w	b3frame21
	dc.b	0,-1
	dc.b	11,15,26,3
	
	dc.w	b2frame12
	dc.b	0,0
	dc.b	11,0,16,3
	
	; turn while hurdle jumping
	
	dc.w	b3frame20
	dc.b	0,0
	dc.b	30,0,16,3
	
	dc.w	b3frame21
	dc.b	0,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	30,15,26,3
	
	dc.w	b3frame21
	dc.b	0,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	30,15,26,3
	
	dc.w	b3frame20
	dc.b	0,0
	dc.b	30,0,16,3
	
	; turn while falling
	
	dc.w	bframe20
	dc.b	0,0
	dc.b	12,0,2,4
	
	dc.w	b3frame22
	dc.b	0,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	11,15,26,4
	
	dc.w	b3frame22
	dc.b	0,-1	;#NOGUNOFFX,#GUNOFFY
	dc.b	11,15,26,4
	
	dc.w	bframe20
	dc.b	0,0
	dc.b	12,0,2,4
	
	; happy dance steps
	
	dc.w	bframe8	;3 shuffle steps
	dc.b	0,-1
	dc.b	8,16,25,5
	
	dc.w	bframe0
	dc.b	0,-1	
	dc.b	0,16,7,5
	
	dc.w	bframe11
	dc.b	0,-1	
	dc.b	0,15,39,5
	
	dc.w	b3frame20
	dc.b	0,0
	dc.b	11,0,6,5
	
	;	head whack on jump up
	
	dc.w	b3frame24
	dc.b	0,-1
	dc.b	30,0,22,3
	
	dc.w	b3frame25
	dc.b	0,-1	
	dc.b	25,0,22,6
	
	dc.w	b3frame24
	dc.b	0,-1	
	dc.b	30,0,22,3
	
	dc.w	b3frame20
	dc.b	0,0
	dc.b	1,0,6,5
	
	;	fire straight up
	
	dc.w	b3frame33
	dc.b	0,16
	dc.b	0,47,53,5		;hold gun up
	
	dc.w	b3frame33
	dc.b	0,16	
	dc.b	0,46,53,5		;hold up - with recoil
	
	dc.w	b3frame33
	dc.b	0,16
	dc.b	0,46,53,5		;hold gun up - with recoil
	
	dc.w	b3frame33
	dc.b	0,16
	dc.b	0,46,53,5
	
	;	crouch while turning
	
	dc.w	b3frame39
	dc.b	3,-1	  
	dc.b	41,0,6,3
	
	dc.w	b3frame45
	dc.b	3,-1	
	dc.b	41,15,11,3
	
	dc.w	b3frame45
	dc.b	3,-1	
	dc.b	41,15,10,5
	
	dc.w	b3frame39
	dc.b	3,-1	 ; size is usually 1 
	dc.b	41,0,11,3
	
	;	waddle crouch walk
	
	dc.w	b3frame41
	dc.b	3,3
	dc.b	43,0,20,4
	
	dc.w	b3frame42
	dc.b	3,3
	dc.b	44,0,6,4
	
	dc.w	b3frame43
	dc.b	3,3
	dc.b	41,0,2,4
	
	dc.w	b3frame43
	dc.b	3,3
	dc.b	42,0,16,4
	
	;	shield off
	
	dc.w	b3frame46		;big shield
	dc.b	0,0
	dc.b	45,57,60,2
	
	dc.w	b3frame47		;small shield
	dc.b	0,0	
	dc.b	46,58,60,2
	
	;	dancing windmill
	
	dc.w	b3frame13
	dc.b	0,-1	
	dc.b	29,16,23,5
	
	dc.w	b3frame14
	dc.b	0,-1	
	dc.b	23,41,18,5
	
	dc.w	b3frame14
	dc.b	0,-1
	dc.b	23,42,25,5
	
	dc.w	b3frame17
	dc.b	0,-1	
	dc.b	20,39,29,5
	
	;   shoulder shrug

	dc.w	b2frame13
	dc.b	0,-1	
	dc.b	21,39,26,5
	
	dc.w	b2frame14
	dc.b	0,-1
	dc.b	0,38,40,5
	
	; foot tap fidget
	
	dc.w	bframe0
	dc.b	0,-1
	dc.b	0,0,45,5
	
	dc.w	bframe0
	dc.b	0,-1
	dc.b	0,0,46,8
	
	dc.w	bframe0
	dc.b	0,-1
	dc.b	32,0,46,8
	
	; wave at screen
	
	dc.w	b3frame26
	dc.b	0,-1
	dc.b	0,24,26,5	
	
	dc.w	b3frame27
	dc.b	0,-1
	dc.b	0,45,26,8	
	
	dc.w	b3frame27
	dc.b	0,-1
	dc.b	0,44,26,8	
	
	; sleep little bob
	
	dc.w	bframe0
	dc.b	0,-1
	dc.b	0,0,6,45	
	
	dc.w	bframe0
	dc.b	0,-1
	dc.b	0,0,45,45	
	
	dc.w	b3frame28
	dc.b	0,-1
	dc.b	0,0,14,30	
	
	dc.w	b3frame29
	dc.b	0,-1
	dc.b	0,0,18,30

	dc.w	b3frame30
	dc.b	0,-1
	dc.b	0,0,21,30
	
	dc.w	b3frame31
	dc.b	0,-1
	dc.b	0,0,21,30
	
	dc.w	b3frame32
	dc.b	0,-1
	dc.b	0,0,21,20
	
	dc.w	b3frame29
	dc.b	0,-1
	dc.b	0,0,18,30
	
	dc.w	b3frame30
	dc.b	0,-1
	dc.b	0,0,18,20

*
* drive scooter
*

	dc.w	dframe22
	dc.b	4,-1
	dc.b	47+0,59+12,DEATHHEADS+34,5
	
	dc.w	dframe23
	dc.b	4,-1
	dc.b	47+0,59+16,DEATHHEADS+35,5
	


*
* space ship
*

	dc.w	b2frame5
	dc.b	4,15			
	dc.b	0,0,20,5
	
*
* regular death animation - crumble
*

	dc.w	dframe0
	dc.b	3,-1
	dc.b	47+1,59+1,DEATHHEADS+1,5
	
	dc.w	dframe0
	dc.b	3,-1
	dc.b	47+2,59+2,DEATHHEADS+1,5
	
	dc.w	dframe0
	dc.b	3,-1
	dc.b	47+3,59+3,DEATHHEADS+1,5
	
	dc.w	dframe0
	dc.b	3,-1
	dc.b	47+4,59+4,DEATHHEADS+1,5
	
	dc.w	dframe0
	dc.b	3,-1
	dc.b	47+5,59+5,DEATHHEADS+1,5
	
	dc.w	dframe0
	dc.b	3,-1
	dc.b	47+6,59+6,DEATHHEADS+2,5
	
	dc.w	dframe0
	dc.b	3,-1
	dc.b	47+7,59+7,DEATHHEADS+3,5
	
	dc.w	dframe0
	dc.b	3,-1
	dc.b	47+8,59+8,DEATHHEADS+3,5
	
	dc.w	dframe0
	dc.b	3,-1
	dc.b	47+9,59+9,DEATHHEADS+3,5
	
	dc.w	dframe1
	dc.b	3,-1
	dc.b	47+9,59+9,DEATHHEADS+3,5
	
	dc.w	dframe2
	dc.b	3,-1
	dc.b	47+9,59+9,DEATHHEADS+3,5
	
	dc.w	dframe3
	dc.b	3,-1
	dc.b	47+9,59+9,DEATHHEADS+3,5
	
	dc.w	dframe4
	dc.b	3,-1
	dc.b	47+9,59+9,DEATHHEADS+3,5
	
	dc.w	dframe4
	dc.b	3,-1
	dc.b	47+9,59+9,DEATHHEADS+4,25
	
	
*
* bob melts
*

	dc.w	dframe24
	dc.b	3,-1
	dc.b	47+12,59+23,DEATHHEADS+29,5
	
	dc.w	dframe24
	dc.b	3,-1
	dc.b	47+13,59+24,DEATHHEADS+30,5
	
	dc.w	dframe24
	dc.b	3,-1
	dc.b	47+14,59+25,DEATHHEADS+31,5
	
	dc.w	dframe24
	dc.b	3,-1
	dc.b	47+15,59+26,DEATHHEADS+32,5
	
	dc.w	dframe24
	dc.b	3,-1
	dc.b	47+16,59+27,DEATHHEADS+33,5
	
	dc.w	dframe24
	dc.b	3,-1
	dc.b	47+17,59+28,DEATHHEADS+0,5  
	
	dc.w	dframe25
	dc.b	3,-1
	dc.b	47+18,59+29,DEATHHEADS+0,5 	
	
	dc.w	dframe25
	dc.b	3,-1
	dc.b	47+19,59+30,DEATHHEADS+0,5	

;********

	dc.w	dframe25
	dc.b	3,-1
	dc.b	47+19,59+30,DEATHHEADS+0,5	
	
	dc.w	dframe25
	dc.b	3,-1
	dc.b	47+19,59+30,DEATHHEADS+0,5	
		
	dc.w	dframe25
	dc.b	3,-1
	dc.b	47+19,59+30,DEATHHEADS+0,5	
	
	dc.w	dframe25
	dc.b	3,-1
	dc.b	47+19,59+30,DEATHHEADS+0,5	
	
	dc.w	dframe25
	dc.b	3,-1
	dc.b	47+19,59+30,DEATHHEADS+0,5	
	
	dc.w	dframe25
	dc.b	3,-1
	dc.b	47+19,59+30,DEATHHEADS+0,5	
	
;	dc.w	dframe25
;	dc.b	3,-1
;	dc.b	47+20,59+30,DEATHHEADS+0,65	
	
;	dc.w	dframe25
;	dc.b	3,-1
;	dc.b	47+20,59+30,DEATHHEADS+0,65
	
;	dc.w	dframe25
;	dc.b	3,-1
;	dc.b	47+20,59+30,DEATHHEADS+0,65
	
;	dc.w	dframe25
;	dc.b	3,-1
;	dc.b	47+20,59+30,DEATHHEADS+0,65
	
;	dc.w	dframe25
;	dc.b	3,-1
;	dc.b	47+20,59+30,DEATHHEADS+0,65
	
;	dc.w	dframe25
;	dc.b	3,-1
;	dc.b	47+20,59+30,DEATHHEADS+0,65
	
	
*
* 2nd set of frame pieces
*

framepieces2:


*
* intro 1
*

	dc.w	dframe7		;0
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+5,5
	
	dc.w	dframe7		;1
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+6,5
	
	dc.w	dframe7		;2
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+7,5
	
	dc.w	dframe8		;3
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+8,5
	
	dc.w	dframe9		;4
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+9,5
	
	dc.w	dframe7		;5
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+10,5
	
	dc.w	dframe7		;6
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+11,5
	
	dc.w	dframe10	;	;7
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+12,5
	
	dc.w	dframe7		;8
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+13,5
	
	dc.w	dframe11		;9
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+14,5
	
	dc.w	dframe12		;10
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+8,5
	
	dc.w	dframe7		;11
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+8,5
	
	dc.w	dframe13		;12
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+15,5
	
	dc.w	dframe7		;13
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+0,5


*
* intro 2	;14+
*

	dc.w	dframe7		;0
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+23,5
	
	dc.w	dframe7		;1
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+10,5
	
	dc.w	dframe7		;2
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+11,5
	
	dc.w	dframe7		;3
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+7,5
	
	dc.w	dframe7		;4
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+6,5
	
	dc.w	dframe7		;5
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+5,5
	
	dc.w	dframe14	;6
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+24,5
	
	dc.w	dframe7	;	;7
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+16,5
	
	dc.w	dframe14	;8
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+24,5
	
	dc.w	dframe7		;9
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+16,5
	
	dc.w	dframe14		;10
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+24,5
	
	dc.w	dframe7		;11
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+23,5
	
	dc.w	dframe7		;12
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+10,5
	
	dc.w	dframe7		;13
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+11,5
	
	dc.w	dframe15		;14
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+13,5
	
	dc.w	dframe7		;15
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+17,5
	
	dc.w	dframe16		;16
	dc.b	0,-1	
	dc.b	47,59+14,DEATHHEADS+17,5
	
	dc.w	dframe16		;17
	dc.b	0,-1	
	dc.b	47,59+15,DEATHHEADS+17,5
	
*
* intro 3 32+
*

	dc.w	dframe7		;0
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+5,5
	
	dc.w	dframe17		;1
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+8,5
	
	dc.w	dframe7		;2
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+22,5
	
	dc.w	dframe7		;3
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+23,5
	
	dc.w	dframe18		;4
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+18,5
	
	dc.w	dframe7		;5
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+20,5
	
	dc.w	dframe17	;6
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+20,5
	
	dc.w	dframe19	;	;7
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+21,5
	
	dc.w	dframe7		;8
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+10,5
	
	dc.w	dframe20		;9
	dc.b	0,-1	
	dc.b	47+11,59+12,DEATHHEADS+11,5
	
	dc.w	dframe21		;10
	dc.b	0,-1	
	dc.b	47+11,59+12,DEATHHEADS+12,5
	
*
* ending animation +43
*

	dc.w	dframe7		;0
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+23,5

	dc.w	dframe7		;1
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+5,5
	
	dc.w	dframe7		;2
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+6,5
	
	dc.w	dframe16		;3
	dc.b	0,-1	
	dc.b	47,59+17,DEATHHEADS+7,5

	dc.w	dframe16		;4
	dc.b	0,-1	
	dc.b	47,59+18,DEATHHEADS+7,5
	
	dc.w	dframe16		;5
	dc.b	0,-1	
	dc.b	47,59+21,DEATHHEADS+7,5
	
	dc.w	dframe16		;6
	dc.b	0,-1	
	dc.b	47,59+20,DEATHHEADS+25,5
	
	dc.w	dframe16		;7
	dc.b	0,-1	
	dc.b	47,59+22,DEATHHEADS+25,5
	
	dc.w	dframe16		;8
	dc.b	0,-1	
	dc.b	47,59+19,DEATHHEADS+25,5
	
	dc.w	dframe16		;9
	dc.b	0,-1	
	dc.b	47,59+17,DEATHHEADS+25,5
	
	dc.w	dframe7		;10
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+26,5

	dc.w	dframe7		;11
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+27,5
	
	dc.w	dframe14	;12
	dc.b	0,-1	
	dc.b	47,59+12,DEATHHEADS+28,5
	
*
* ed frame...
*

	dc.w	dframe16		;56
	dc.b	0,-1	
	dc.b	47,59+17,DEATHHEADS+11,5
*
* bob blinking frames
*

invbob1:
 dc.b $0A
 dc.b $C7,$E3,$36
 dc.b $C7,$DB,$46
 dc.b $D3,$E5,$20
 dc.b $D3,$D5,$01
 dc.b $85,$D5,$04
 dc.b $CB,$D5,$02
 dc.b $85,$8B,$44
 dc.b $CB,$8B,$42
 dc.b $85,$C5,$24
 dc.b $CB,$C5,$22


invbob2:
 dc.b $0A
 dc.b $C7,$E3,$06
 dc.b $C7,$DB,$16
 dc.b $D3,$E5,$20
 dc.b $D3,$D5,$01
 dc.b $85,$D5,$04
 dc.b $CB,$D5,$02
 dc.b $85,$8B,$44
 dc.b $CB,$8B,$42
 dc.b $85,$C5,$24
 dc.b $CB,$C5,$22


*
* world bob stuff
*


mapbob0:
 dc.b $01
 dc.b $48,$C7,$00


mapbob1:
 dc.b $01
 dc.b $48,$C8,$02


mapbob2:
 dc.b $01
 dc.b $48,$C8,$04


mapbob3:
 dc.b $01
 dc.b $48,$C8,$06


mapbob4:
 dc.b $01
 dc.b $48,$C8,$08


mapbob5:
 dc.b $01
 dc.b $48,$C8,$0A


mapbob6:
 dc.b $01
 dc.b $48,$C8,$0C


mapbob7:
 dc.b $01
 dc.b $48,$C8,$0E


mapbob8:
 dc.b $01
 dc.b $48,$C8,$20


mapbob9:
 dc.b $01
 dc.b $48,$C8,$2A


mapbob10:
 dc.b $01
 dc.b $48,$C8,$2C


mapbob11:
 dc.b $01
 dc.b $48,$C8,$2E


mapbob12:
 dc.b $01
 dc.b $48,$C8,$A4


mapbob13:
 dc.b $01
 dc.b $48,$C8,$A6


mapbob14:
 dc.b $01
 dc.b $48,$C8,$C4


mapbob15:
 dc.b $01
 dc.b $48,$C8,$A6


mapbob16:
 dc.b $01
 dc.b $48,$C8,$C6


mapbob17:
 dc.b $01
 dc.b $48,$C8,$E4


mapbob18:
 dc.b $01
 dc.b $48,$C8,$E6


mapbob19:
 dc.b $01
 dc.b $48,$C8,$AC


mapbob20:
 dc.b $02
 dc.b $47,$FE,$66
 dc.b $47,$E0,$62


mapbob21:
 dc.b $01
 dc.b $47,$E3,$62


mapbob22:
 dc.b $01
 dc.b $47,$E7,$64


mapbob23:
 dc.b $01
 dc.b $47,$EC,$64


mapbob24:
 dc.b $01
 dc.b $47,$F5,$66


mapbob25:
 dc.b $01
 dc.b $47,$FA,$66


mapbob26:
 dc.b $02
 dc.b $01,$CF,$4E
 dc.b $4F,$CF,$4C


mapbob27:
 dc.b $02
 dc.b $01,$CF,$6E
 dc.b $4F,$CF,$6C


mapbob28:
 dc.b $02
 dc.b $00,$CD,$8E
 dc.b $50,$CD,$8C


mapbob29:
 dc.b $01
 dc.b $46,$CE,$82


mapbob30:
 dc.b $02
 dc.b $48,$D0,$60
 dc.b $48,$80,$80


mapbob31:
 dc.b $02
 dc.b $48,$D0,$88
 dc.b $48,$80,$A8


mapbob32:
 dc.b $02
 dc.b $48,$D0,$8A
 dc.b $48,$80,$AA


mapbob33:
 dc.b $02
 dc.b $00,$C8,$EA
 dc.b $50,$C8,$E8


mapbob34:
 dc.b $02
 dc.b $00,$C8,$CA
 dc.b $50,$C8,$C8


mapbob35:
 dc.b $02
 dc.b $00,$C8,$CE
 dc.b $50,$C8,$CC

*
* world 1 buildingings
*

building11:
 dc.b $06
 dc.b $10,$90,$46
 dc.b $00,$90,$44
 dc.b $10,$80,$42
 dc.b $00,$80,$40
 dc.b $18,$80,$28
 dc.b $49,$C1,$48


building12:
 dc.b $0B
 dc.b $01,$04,$F0
 dc.b $18,$05,$F0
 dc.b $22,$05,$F0
 dc.b $1E,$44,$F0
 dc.b $46,$43,$F0
 dc.b $10,$90,$46
 dc.b $00,$90,$44
 dc.b $10,$80,$42
 dc.b $00,$80,$40
 dc.b $18,$80,$28
 dc.b $49,$C1,$48


building13:
 dc.b $03
 dc.b $8C,$81,$82
 dc.b $88,$E0,$82
 dc.b $86,$80,$80


building14:
 dc.b $03
 dc.b $8C,$81,$82
 dc.b $88,$E1,$82
 dc.b $86,$C1,$80


building15:
 dc.b $03
 dc.b $8C,$80,$82
 dc.b $88,$E1,$82
 dc.b $86,$C1,$80


building16:
 dc.b $03
 dc.b $8C,$80,$82
 dc.b $88,$E0,$82
 dc.b $86,$80,$80


building17:
 dc.b $0A
 dc.b $11,$92,$48
 dc.b $1E,$93,$26
 dc.b $24,$8C,$28
 dc.b $17,$92,$24
 dc.b $10,$88,$46
 dc.b $00,$88,$44
 dc.b $10,$C8,$42
 dc.b $00,$C8,$40
 dc.b $14,$C8,$48
 dc.b $43,$C9,$28


building18:
 dc.b $0D
 dc.b $03,$4D,$F0
 dc.b $16,$10,$F0
 dc.b $2A,$08,$F0
 dc.b $11,$92,$48
 dc.b $1E,$93,$26
 dc.b $24,$8C,$28
 dc.b $17,$92,$24
 dc.b $10,$88,$46
 dc.b $00,$88,$44
 dc.b $10,$C8,$42
 dc.b $00,$C8,$40
 dc.b $14,$C8,$48
 dc.b $43,$C9,$28


building19:
 dc.b $03
 dc.b $A4,$80,$80
 dc.b $AA,$80,$82
 dc.b $D0,$80,$82


building110:
 dc.b $03
 dc.b $A4,$80,$80
 dc.b $AA,$80,$82
 dc.b $D0,$C1,$82


building111:
 dc.b $03
 dc.b $A4,$80,$80
 dc.b $AA,$C1,$82
 dc.b $D0,$80,$82


building112:
 dc.b $0B
 dc.b $4C,$97,$26
 dc.b $47,$8F,$48
 dc.b $10,$90,$46
 dc.b $00,$90,$44
 dc.b $10,$80,$42
 dc.b $00,$80,$40
 dc.b $47,$83,$C0
 dc.b $47,$CD,$A0
 dc.b $11,$C2,$22
 dc.b $1B,$CE,$26
 dc.b $23,$D4,$48


building113:
 dc.b $0D
 dc.b $26,$56,$F0
 dc.b $00,$51,$F0
 dc.b $4C,$97,$26
 dc.b $47,$8F,$48
 dc.b $10,$90,$46
 dc.b $00,$90,$44
 dc.b $10,$80,$42
 dc.b $00,$80,$40
 dc.b $47,$83,$C0
 dc.b $47,$CD,$A0
 dc.b $11,$C2,$22
 dc.b $1B,$CE,$26
 dc.b $23,$D4,$48


building114:
 dc.b $06
 dc.b $D7,$83,$80
 dc.b $D0,$87,$60
 dc.b $D0,$C9,$40
 dc.b $80,$C9,$42
 dc.b $80,$87,$62
 dc.b $89,$80,$82


building115:
 dc.b $06
 dc.b $D7,$82,$80
 dc.b $D0,$87,$60
 dc.b $D0,$C9,$40
 dc.b $80,$C9,$42
 dc.b $80,$87,$62
 dc.b $89,$81,$82


building116:
 dc.b $0D
 dc.b $07,$99,$26
 dc.b $0C,$98,$22
 dc.b $17,$8C,$26
 dc.b $20,$87,$48
 dc.b $0E,$86,$C0
 dc.b $0E,$CA,$A0
 dc.b $5D,$C3,$26
 dc.b $4F,$C6,$48
 dc.b $10,$CE,$42
 dc.b $00,$CE,$40
 dc.b $10,$82,$46
 dc.b $00,$82,$44
 dc.b $42,$D5,$A0


building117:
 dc.b $0F
 dc.b $15,$4E,$F0
 dc.b $05,$59,$F0
 dc.b $07,$99,$26
 dc.b $0C,$98,$22
 dc.b $17,$8C,$26
 dc.b $20,$87,$48
 dc.b $0E,$86,$C0
 dc.b $0E,$CA,$A0
 dc.b $5D,$C3,$26
 dc.b $4F,$C6,$48
 dc.b $10,$CE,$42
 dc.b $00,$CE,$40
 dc.b $10,$82,$46
 dc.b $00,$82,$44
 dc.b $42,$D5,$A0


building118:
 dc.b $08
 dc.b $A8,$C2,$80
 dc.b $F8,$C1,$82
 dc.b $D7,$83,$80
 dc.b $D0,$87,$60
 dc.b $D0,$C9,$40
 dc.b $80,$C9,$42
 dc.b $80,$87,$62
 dc.b $89,$C1,$82


building119:
 dc.b $08
 dc.b $A8,$C1,$80
 dc.b $F8,$C1,$82
 dc.b $D7,$82,$80
 dc.b $D0,$87,$60
 dc.b $D0,$C9,$40
 dc.b $80,$C9,$42
 dc.b $80,$87,$62
 dc.b $89,$C1,$82


building120:
 dc.b $08
 dc.b $A8,$C1,$80
 dc.b $F8,$C2,$82
 dc.b $D7,$82,$80
 dc.b $D0,$87,$60
 dc.b $D0,$C9,$40
 dc.b $80,$C9,$42
 dc.b $80,$87,$62
 dc.b $89,$80,$82


building121:
 dc.b $08
 dc.b $A8,$C2,$80
 dc.b $F8,$C2,$82
 dc.b $D7,$83,$80
 dc.b $D0,$87,$60
 dc.b $D0,$C9,$40
 dc.b $80,$C9,$42
 dc.b $80,$87,$62
 dc.b $89,$80,$82


building122:
 dc.b $0E
 dc.b $14,$95,$48
 dc.b $10,$80,$42
 dc.b $00,$80,$40
 dc.b $10,$90,$46
 dc.b $00,$90,$44
 dc.b $0F,$CF,$A0
 dc.b $0F,$81,$C0
 dc.b $42,$C5,$28
 dc.b $28,$80,$46
 dc.b $18,$80,$44
 dc.b $28,$D0,$42
 dc.b $18,$D0,$40
 dc.b $29,$D4,$48
 dc.b $45,$CC,$26


building123:
 dc.b $10
 dc.b $33,$50,$F0
 dc.b $16,$53,$F0
 dc.b $14,$95,$48
 dc.b $10,$80,$42
 dc.b $00,$80,$40
 dc.b $10,$90,$46
 dc.b $00,$90,$44
 dc.b $0F,$CF,$A0
 dc.b $0F,$81,$C0
 dc.b $42,$C5,$28
 dc.b $28,$80,$46
 dc.b $18,$80,$44
 dc.b $28,$D0,$42
 dc.b $18,$D0,$40
 dc.b $29,$D4,$48
 dc.b $45,$CC,$26


building124:
 dc.b $0B
 dc.b $50,$90,$26
 dc.b $48,$88,$48
 dc.b $10,$C8,$42
 dc.b $00,$C8,$40
 dc.b $10,$88,$46
 dc.b $00,$88,$44
 dc.b $20,$C8,$A0
 dc.b $20,$88,$C0
 dc.b $13,$CB,$48
 dc.b $03,$CE,$28
 dc.b $18,$D0,$26


building125:
 dc.b $0D
 dc.b $09,$52,$F0
 dc.b $27,$4C,$F0
 dc.b $50,$90,$26
 dc.b $48,$88,$48
 dc.b $10,$C8,$42
 dc.b $00,$C8,$40
 dc.b $10,$88,$46
 dc.b $00,$88,$44
 dc.b $20,$C8,$A0
 dc.b $20,$88,$C0
 dc.b $13,$CB,$48
 dc.b $03,$CE,$28
 dc.b $18,$D0,$26


building126:
 dc.b $07
 dc.b $80,$87,$62
 dc.b $C8,$D4,$82
 dc.b $F2,$80,$80
 dc.b $F8,$C1,$82
 dc.b $D0,$87,$60
 dc.b $D0,$C9,$40
 dc.b $80,$C9,$42


building127:
 dc.b $07
 dc.b $80,$87,$62
 dc.b $C8,$D3,$82
 dc.b $F2,$C1,$80
 dc.b $F8,$C1,$82
 dc.b $D0,$87,$60
 dc.b $D0,$C9,$40
 dc.b $80,$C9,$42


building128:
 dc.b $07
 dc.b $80,$87,$62
 dc.b $C8,$D3,$82
 dc.b $F2,$80,$80
 dc.b $F8,$C2,$82
 dc.b $D0,$87,$60
 dc.b $D0,$C9,$40
 dc.b $80,$C9,$42


building129:
 dc.b $10
 dc.b $27,$94,$46
 dc.b $17,$94,$44
 dc.b $27,$84,$42
 dc.b $17,$84,$40
 dc.b $0D,$86,$28
 dc.b $50,$8D,$26
 dc.b $5C,$87,$28
 dc.b $48,$8B,$22
 dc.b $20,$D1,$A0
 dc.b $20,$C1,$C0
 dc.b $2A,$81,$22
 dc.b $33,$CB,$26
 dc.b $10,$D0,$42
 dc.b $10,$80,$46
 dc.b $00,$80,$44
 dc.b $00,$D0,$40


building130:
 dc.b $12
 dc.b $27,$55,$F0
 dc.b $56,$03,$F0
 dc.b $27,$94,$46
 dc.b $17,$94,$44
 dc.b $27,$84,$42
 dc.b $17,$84,$40
 dc.b $0D,$86,$28
 dc.b $50,$8D,$26
 dc.b $5C,$87,$28
 dc.b $48,$8B,$22
 dc.b $20,$D1,$A0
 dc.b $20,$C1,$C0
 dc.b $2A,$81,$22
 dc.b $33,$CB,$26
 dc.b $10,$D0,$42
 dc.b $10,$80,$46
 dc.b $00,$80,$44
 dc.b $00,$D0,$40


building131:
 dc.b $0A
 dc.b $D5,$E1,$82
 dc.b $D8,$E1,$80
 dc.b $88,$82,$80
 dc.b $D4,$83,$82
 dc.b $ED,$81,$80
 dc.b $80,$87,$62
 dc.b $C8,$D3,$82
 dc.b $D0,$87,$60
 dc.b $D0,$C9,$40
 dc.b $80,$C9,$42


building132:
 dc.b $0A
 dc.b $D5,$E0,$82
 dc.b $D8,$E0,$80
 dc.b $88,$82,$80
 dc.b $D4,$82,$82
 dc.b $ED,$81,$80
 dc.b $80,$87,$62
 dc.b $C8,$D3,$82
 dc.b $D0,$87,$60
 dc.b $D0,$C9,$40
 dc.b $80,$C9,$42


building133:
 dc.b $0A
 dc.b $D5,$E0,$82
 dc.b $D8,$E0,$80
 dc.b $88,$81,$80
 dc.b $D4,$82,$82
 dc.b $ED,$82,$80
 dc.b $80,$87,$62
 dc.b $C8,$D3,$82
 dc.b $D0,$87,$60
 dc.b $D0,$C9,$40
 dc.b $80,$C9,$42


building134:
 dc.b $0A
 dc.b $D5,$E1,$82
 dc.b $D8,$E1,$80
 dc.b $88,$81,$80
 dc.b $D4,$83,$82
 dc.b $ED,$82,$80
 dc.b $80,$87,$62
 dc.b $C8,$D3,$82
 dc.b $D0,$87,$60
 dc.b $D0,$C9,$40
 dc.b $80,$C9,$42


building135:
 dc.b $0D
 dc.b $03,$8C,$48
 dc.b $1A,$87,$48
 dc.b $2E,$98,$48
 dc.b $21,$99,$26
 dc.b $16,$92,$24
 dc.b $4B,$87,$28
 dc.b $10,$88,$46
 dc.b $00,$88,$44
 dc.b $10,$C8,$42
 dc.b $00,$C8,$40
 dc.b $57,$CA,$48
 dc.b $49,$D9,$A0
 dc.b $49,$C9,$C0


building136:
 dc.b $11
 dc.b $53,$4C,$F0
 dc.b $4B,$0B,$F0
 dc.b $31,$16,$F0
 dc.b $42,$5E,$F0
 dc.b $03,$8C,$48
 dc.b $1A,$87,$48
 dc.b $2E,$98,$48
 dc.b $21,$99,$26
 dc.b $16,$92,$24
 dc.b $4B,$87,$28
 dc.b $10,$88,$46
 dc.b $00,$88,$44
 dc.b $10,$C8,$42
 dc.b $00,$C8,$40
 dc.b $57,$CA,$48
 dc.b $49,$D9,$A0
 dc.b $49,$C9,$C0

*
* world 2 building
*


building21:
 dc.b $06
 dc.b $DB,$CB,$24
 dc.b $CB,$83,$24
 dc.b $80,$80,$22
 dc.b $D0,$80,$20
 dc.b $80,$D0,$02
 dc.b $D0,$D0,$00


building22:
 dc.b $07
 dc.b $D0,$DE,$8A
 dc.b $DB,$CB,$24
 dc.b $CB,$83,$24
 dc.b $80,$80,$22
 dc.b $D0,$80,$20
 dc.b $80,$D0,$02
 dc.b $D0,$D0,$00


building23:
 dc.b $07
 dc.b $D8,$E8,$A8
 dc.b $DB,$CB,$24
 dc.b $CB,$83,$24
 dc.b $80,$80,$22
 dc.b $D0,$80,$20
 dc.b $80,$D0,$02
 dc.b $D0,$D0,$00


building24:
 dc.b $07
 dc.b $81,$DF,$AC
 dc.b $DB,$CB,$24
 dc.b $CB,$83,$24
 dc.b $80,$80,$22
 dc.b $D0,$80,$20
 dc.b $80,$D0,$02
 dc.b $D0,$D0,$00


building25:
 dc.b $07
 dc.b $88,$E7,$8E
 dc.b $DB,$CB,$24
 dc.b $CB,$83,$24
 dc.b $80,$80,$22
 dc.b $D0,$80,$20
 dc.b $80,$D0,$02
 dc.b $D0,$D0,$00


building26:
 dc.b $08
 dc.b $61,$8A,$28
 dc.b $58,$8A,$22
 dc.b $0E,$D5,$A0
 dc.b $0E,$C5,$C0
 dc.b $00,$D0,$42
 dc.b $50,$D0,$40
 dc.b $50,$80,$44
 dc.b $00,$80,$46


building27:
 dc.b $0A
 dc.b $5B,$06,$F0
 dc.b $15,$59,$F0
 dc.b $61,$8A,$28
 dc.b $58,$8A,$22
 dc.b $0E,$D5,$A0
 dc.b $0E,$C5,$C0
 dc.b $00,$D0,$42
 dc.b $50,$D0,$40
 dc.b $50,$80,$44
 dc.b $00,$80,$46


building28:
 dc.b $04
 dc.b $C5,$45,$16
 dc.b $89,$44,$17
 dc.b $81,$41,$27
 dc.b $CD,$44,$06


building29:
 dc.b $04
 dc.b $C5,$45,$17
 dc.b $89,$44,$26
 dc.b $81,$41,$06
 dc.b $CD,$44,$07


building210:
 dc.b $04
 dc.b $C5,$45,$26
 dc.b $89,$44,$27
 dc.b $81,$41,$07
 dc.b $CD,$44,$16


building211:
 dc.b $04
 dc.b $C5,$45,$27
 dc.b $89,$44,$06
 dc.b $81,$41,$16
 dc.b $CD,$44,$17


building212:
 dc.b $04
 dc.b $C5,$45,$06
 dc.b $89,$44,$07
 dc.b $81,$41,$17
 dc.b $CD,$44,$26


building213:
 dc.b $04
 dc.b $C5,$45,$07
 dc.b $89,$44,$16
 dc.b $81,$41,$26
 dc.b $CD,$44,$27


building214:
 dc.b $0A
 dc.b $DF,$CD,$24
 dc.b $90,$CD,$24
 dc.b $80,$C5,$6A
 dc.b $D0,$C5,$68
 dc.b $80,$D5,$4A
 dc.b $D0,$D5,$48
 dc.b $88,$48,$5F
 dc.b $D0,$48,$5C
 dc.b $D0,$80,$6C
 dc.b $80,$80,$6E


building215:
 dc.b $0A
 dc.b $DF,$CD,$24
 dc.b $90,$CD,$24
 dc.b $80,$C6,$6A
 dc.b $D0,$C6,$68
 dc.b $80,$D6,$4A
 dc.b $D0,$D6,$48
 dc.b $88,$48,$5F
 dc.b $D0,$48,$5C
 dc.b $D0,$80,$6C
 dc.b $80,$80,$6E


building216:
 dc.b $0A
 dc.b $DF,$CD,$24
 dc.b $90,$CD,$24
 dc.b $80,$C8,$6A
 dc.b $D0,$C8,$68
 dc.b $80,$D8,$4A
 dc.b $D0,$D8,$48
 dc.b $88,$48,$5F
 dc.b $D0,$48,$5C
 dc.b $D0,$80,$6C
 dc.b $80,$80,$6E


building217:
 dc.b $0A
 dc.b $DF,$CD,$24
 dc.b $90,$CD,$24
 dc.b $80,$C9,$6A
 dc.b $D0,$C9,$68
 dc.b $80,$D9,$4A
 dc.b $D0,$D9,$48
 dc.b $88,$48,$5F
 dc.b $D0,$48,$5C
 dc.b $D0,$80,$6C
 dc.b $80,$80,$6E


building218:
 dc.b $09
 dc.b $05,$8E,$26
 dc.b $47,$89,$24
 dc.b $10,$C6,$28
 dc.b $02,$D5,$A0
 dc.b $02,$C5,$C0
 dc.b $4D,$C1,$46
 dc.b $5D,$C1,$44
 dc.b $4D,$D1,$42
 dc.b $5D,$D1,$40


building219:
 dc.b $0B
 dc.b $16,$4A,$F0
 dc.b $09,$59,$F0
 dc.b $05,$8E,$26
 dc.b $47,$89,$24
 dc.b $10,$C6,$28
 dc.b $02,$D5,$A0
 dc.b $02,$C5,$C0
 dc.b $4D,$C1,$46
 dc.b $5D,$C1,$44
 dc.b $4D,$D1,$42
 dc.b $5D,$D1,$40


building220:
 dc.b $09
 dc.b $D3,$6D,$26
 dc.b $D0,$E0,$A6
 dc.b $E0,$E0,$A4
 dc.b $D0,$F0,$86
 dc.b $E0,$F0,$84
 dc.b $C5,$45,$16
 dc.b $89,$44,$17
 dc.b $81,$41,$27
 dc.b $CD,$44,$06


building221:
 dc.b $09
 dc.b $D3,$6D,$27
 dc.b $D0,$E0,$A6
 dc.b $E0,$E0,$A4
 dc.b $D0,$F0,$86
 dc.b $E0,$F0,$84
 dc.b $C5,$45,$17
 dc.b $89,$44,$26
 dc.b $81,$41,$06
 dc.b $CD,$44,$07


building222:
 dc.b $09
 dc.b $D3,$6D,$06
 dc.b $D0,$E0,$A6
 dc.b $E0,$E0,$A4
 dc.b $D0,$F0,$86
 dc.b $E0,$F0,$84
 dc.b $C5,$45,$26
 dc.b $89,$44,$27
 dc.b $81,$41,$07
 dc.b $CD,$44,$16


building223:
 dc.b $09
 dc.b $D3,$6D,$07
 dc.b $D0,$E0,$A6
 dc.b $E0,$E0,$A4
 dc.b $D0,$F0,$86
 dc.b $E0,$F0,$84
 dc.b $C5,$45,$27
 dc.b $89,$44,$06
 dc.b $81,$41,$16
 dc.b $CD,$44,$17


building224:
 dc.b $09
 dc.b $D3,$6D,$16
 dc.b $D0,$E0,$A6
 dc.b $E0,$E0,$A4
 dc.b $D0,$F0,$86
 dc.b $E0,$F0,$84
 dc.b $C5,$45,$06
 dc.b $89,$44,$07
 dc.b $81,$41,$17
 dc.b $CD,$44,$26


building225:
 dc.b $09
 dc.b $D3,$6D,$17
 dc.b $D0,$E0,$A6
 dc.b $E0,$E0,$A4
 dc.b $D0,$F0,$86
 dc.b $E0,$F0,$84
 dc.b $C5,$45,$07
 dc.b $89,$44,$16
 dc.b $81,$41,$26
 dc.b $CD,$44,$27


building226:
 dc.b $09
 dc.b $44,$89,$46
 dc.b $54,$89,$44
 dc.b $44,$C7,$42
 dc.b $54,$C7,$40
 dc.b $65,$C8,$48
 dc.b $58,$D9,$A0
 dc.b $58,$C9,$C0
 dc.b $01,$C3,$22
 dc.b $0D,$CE,$26


building227:
 dc.b $0B
 dc.b $62,$4A,$F0
 dc.b $51,$5D,$F0
 dc.b $44,$89,$46
 dc.b $54,$89,$44
 dc.b $44,$C7,$42
 dc.b $54,$C7,$40
 dc.b $65,$C8,$48
 dc.b $58,$D9,$A0
 dc.b $58,$C9,$C0
 dc.b $01,$C3,$22
 dc.b $0D,$CE,$26


building228:
 dc.b $0B
 dc.b $DF,$D3,$8C
 dc.b $E8,$CA,$24
 dc.b $9A,$CB,$24
 dc.b $80,$E3,$02
 dc.b $D0,$E3,$00
 dc.b $80,$D3,$22
 dc.b $D0,$D3,$20
 dc.b $81,$81,$6E
 dc.b $CF,$81,$6C
 dc.b $81,$CF,$4E
 dc.b $CF,$CF,$4C


building229:
 dc.b $0B
 dc.b $DF,$D3,$8E
 dc.b $E8,$CA,$24
 dc.b $9A,$CB,$24
 dc.b $80,$E4,$02
 dc.b $D0,$E4,$00
 dc.b $80,$D4,$22
 dc.b $D0,$D4,$20
 dc.b $81,$81,$6E
 dc.b $CF,$81,$6C
 dc.b $81,$CF,$4E
 dc.b $CF,$CF,$4C


building230:
 dc.b $0B
 dc.b $90,$D5,$AA
 dc.b $E8,$CA,$24
 dc.b $9A,$CB,$24
 dc.b $80,$E5,$02
 dc.b $D0,$E5,$00
 dc.b $80,$D5,$22
 dc.b $D0,$D5,$20
 dc.b $81,$81,$6E
 dc.b $CF,$81,$6C
 dc.b $81,$CF,$4E
 dc.b $CF,$CF,$4C


building231:
 dc.b $0B
 dc.b $90,$D5,$A8
 dc.b $E8,$CA,$24
 dc.b $9A,$CB,$24
 dc.b $80,$E4,$02
 dc.b $D0,$E4,$00
 dc.b $80,$D4,$22
 dc.b $D0,$D4,$20
 dc.b $81,$81,$6E
 dc.b $CF,$81,$6C
 dc.b $81,$CF,$4E
 dc.b $CF,$CF,$4C


building232:
 dc.b $06
 dc.b $C1,$4E,$26
 dc.b $C6,$4D,$06
 dc.b $80,$80,$A6
 dc.b $D0,$80,$A4
 dc.b $80,$D0,$86
 dc.b $D0,$D0,$84


building233:
 dc.b $06
 dc.b $C1,$4E,$27
 dc.b $C6,$4D,$07
 dc.b $80,$80,$A6
 dc.b $D0,$80,$A4
 dc.b $80,$D0,$86
 dc.b $D0,$D0,$84


building234:
 dc.b $06
 dc.b $C1,$4E,$06
 dc.b $C6,$4D,$16
 dc.b $80,$80,$A6
 dc.b $D0,$80,$A4
 dc.b $80,$D0,$86
 dc.b $D0,$D0,$84


building235:
 dc.b $06
 dc.b $C1,$4E,$07
 dc.b $C6,$4D,$17
 dc.b $80,$80,$A6
 dc.b $D0,$80,$A4
 dc.b $80,$D0,$86
 dc.b $D0,$D0,$84


building236:
 dc.b $06
 dc.b $C1,$4E,$16
 dc.b $C6,$4D,$26
 dc.b $80,$80,$A6
 dc.b $D0,$80,$A4
 dc.b $80,$D0,$86
 dc.b $D0,$D0,$84


building237:
 dc.b $06
 dc.b $C1,$4E,$17
 dc.b $C6,$4D,$27
 dc.b $80,$80,$A6
 dc.b $D0,$80,$A4
 dc.b $80,$D0,$86
 dc.b $D0,$D0,$84


building238:
 dc.b $0B
 dc.b $46,$96,$26
 dc.b $41,$95,$22
 dc.b $0B,$8A,$26
 dc.b $02,$83,$28
 dc.b $0E,$D5,$A0
 dc.b $0E,$C5,$C0
 dc.b $5F,$C6,$48
 dc.b $00,$80,$46
 dc.b $50,$80,$44
 dc.b $00,$D0,$42
 dc.b $50,$D0,$40


building239:
 dc.b $0D
 dc.b $5B,$48,$F0
 dc.b $15,$59,$F0
 dc.b $46,$96,$26
 dc.b $41,$95,$22
 dc.b $0B,$8A,$26
 dc.b $02,$83,$28
 dc.b $0E,$D5,$A0
 dc.b $0E,$C5,$C0
 dc.b $5F,$C6,$48
 dc.b $00,$80,$46
 dc.b $50,$80,$44
 dc.b $00,$D0,$42
 dc.b $50,$D0,$40


building240:
 dc.b $05
 dc.b $C6,$D8,$08
 dc.b $CA,$53,$36
 dc.b $C6,$C8,$28
 dc.b $88,$83,$04
 dc.b $D7,$83,$04


building241:
 dc.b $05
 dc.b $C6,$D8,$08
 dc.b $CF,$50,$36
 dc.b $C6,$C8,$28
 dc.b $88,$83,$04
 dc.b $D7,$83,$04


building242:
 dc.b $05
 dc.b $CA,$4D,$36
 dc.b $C6,$D8,$08
 dc.b $C6,$C8,$28
 dc.b $88,$83,$04
 dc.b $D7,$83,$04


building243:
 dc.b $05
 dc.b $84,$4D,$36
 dc.b $C6,$D8,$08
 dc.b $C6,$C8,$28
 dc.b $88,$83,$04
 dc.b $D7,$83,$04


building244:
 dc.b $05
 dc.b $C6,$D8,$08
 dc.b $88,$51,$36
 dc.b $C6,$C8,$28
 dc.b $88,$83,$04
 dc.b $D7,$83,$04


building245:
 dc.b $05
 dc.b $C6,$D8,$08
 dc.b $83,$53,$36
 dc.b $C6,$C8,$28
 dc.b $88,$83,$04
 dc.b $D7,$83,$04


building246:
 dc.b $0B
 dc.b $C4,$59,$36
 dc.b $D8,$C6,$24
 dc.b $DF,$CD,$24
 dc.b $88,$C7,$24
 dc.b $8F,$CE,$24
 dc.b $80,$80,$66
 dc.b $D0,$80,$64
 dc.b $80,$D0,$46
 dc.b $D0,$D0,$44
 dc.b $D5,$D1,$24
 dc.b $86,$D2,$24


building247:
 dc.b $0B
 dc.b $C4,$5A,$36
 dc.b $D8,$C6,$24
 dc.b $DF,$CD,$24
 dc.b $88,$C7,$24
 dc.b $8F,$CE,$24
 dc.b $80,$80,$66
 dc.b $D0,$80,$64
 dc.b $80,$D0,$46
 dc.b $D0,$D0,$44
 dc.b $D5,$D1,$24
 dc.b $86,$D2,$24


building248:
 dc.b $0B
 dc.b $C4,$5B,$36
 dc.b $D8,$C6,$24
 dc.b $DF,$CD,$24
 dc.b $88,$C7,$24
 dc.b $8F,$CE,$24
 dc.b $80,$80,$66
 dc.b $D0,$80,$64
 dc.b $80,$D0,$46
 dc.b $D0,$D0,$44
 dc.b $D5,$D1,$24
 dc.b $86,$D2,$24


building249:
 dc.b $0C
 dc.b $57,$9F,$26
 dc.b $51,$9E,$22
 dc.b $18,$8D,$28
 dc.b $0A,$94,$46
 dc.b $46,$94,$44
 dc.b $0A,$84,$42
 dc.b $46,$84,$40
 dc.b $49,$C1,$48
 dc.b $4D,$C3,$46
 dc.b $5D,$C3,$44
 dc.b $4D,$D3,$42
 dc.b $5D,$D3,$40


building250:
 dc.b $0E
 dc.b $46,$43,$F0
 dc.b $1E,$09,$F0
 dc.b $57,$9F,$26
 dc.b $51,$9E,$22
 dc.b $18,$8D,$28
 dc.b $0A,$94,$46
 dc.b $46,$94,$44
 dc.b $0A,$84,$42
 dc.b $46,$84,$40
 dc.b $49,$C1,$48
 dc.b $4D,$C3,$46
 dc.b $5D,$C3,$44
 dc.b $4D,$D3,$42
 dc.b $5D,$D3,$40


building251:
 dc.b $0C
 dc.b $E3,$8A,$04
 dc.b $D9,$82,$04
 dc.b $94,$8A,$04
 dc.b $8A,$82,$04
 dc.b $D0,$D7,$00
 dc.b $80,$D7,$02
 dc.b $80,$C7,$22
 dc.b $D0,$C7,$20
 dc.b $88,$48,$5F
 dc.b $D0,$48,$5C
 dc.b $80,$80,$6E
 dc.b $D0,$80,$6C


building252:
 dc.b $0C
 dc.b $E3,$8A,$04
 dc.b $D9,$82,$04
 dc.b $94,$8A,$04
 dc.b $8A,$82,$04
 dc.b $D0,$D8,$00
 dc.b $80,$D8,$02
 dc.b $80,$C8,$22
 dc.b $D0,$C8,$20
 dc.b $88,$48,$5F
 dc.b $D0,$48,$5C
 dc.b $80,$80,$6E
 dc.b $D0,$80,$6C


building253:
 dc.b $0C
 dc.b $E3,$8A,$04
 dc.b $D9,$82,$04
 dc.b $94,$8A,$04
 dc.b $8A,$82,$04
 dc.b $D0,$D9,$00
 dc.b $80,$D9,$02
 dc.b $80,$C9,$22
 dc.b $D0,$C9,$20
 dc.b $88,$48,$5F
 dc.b $D0,$48,$5C
 dc.b $80,$80,$6E
 dc.b $D0,$80,$6C


building254:
 dc.b $0D
 dc.b $44,$9D,$48
 dc.b $15,$9F,$46
 dc.b $05,$9F,$44
 dc.b $15,$8F,$42
 dc.b $05,$8F,$40
 dc.b $07,$C8,$A0
 dc.b $07,$88,$C0
 dc.b $41,$86,$46
 dc.b $51,$86,$44
 dc.b $41,$CA,$42
 dc.b $51,$CA,$40
 dc.b $58,$CD,$24
 dc.b $62,$D8,$26


building255:
 dc.b $0F
 dc.b $41,$1B,$F0
 dc.b $0E,$4C,$F0
 dc.b $44,$9D,$48
 dc.b $15,$9F,$46
 dc.b $05,$9F,$44
 dc.b $15,$8F,$42
 dc.b $05,$8F,$40
 dc.b $07,$C8,$A0
 dc.b $07,$88,$C0
 dc.b $41,$86,$46
 dc.b $51,$86,$44
 dc.b $41,$CA,$42
 dc.b $51,$CA,$40
 dc.b $58,$CD,$24
 dc.b $62,$D8,$26


building256:
 dc.b $0B
 dc.b $85,$E4,$AA
 dc.b $D6,$E3,$8C
 dc.b $C9,$EF,$2A
 dc.b $E0,$DA,$08
 dc.b $E0,$CA,$28
 dc.b $92,$DA,$08
 dc.b $92,$CA,$28
 dc.b $80,$80,$6A
 dc.b $D0,$80,$68
 dc.b $80,$D0,$4A
 dc.b $D0,$D0,$48


building257:
 dc.b $0B
 dc.b $85,$E5,$88
 dc.b $D5,$E5,$AE
 dc.b $C9,$F3,$2A
 dc.b $E0,$DA,$08
 dc.b $E0,$CA,$28
 dc.b $92,$DA,$08
 dc.b $92,$CA,$28
 dc.b $80,$80,$6A
 dc.b $D0,$80,$68
 dc.b $80,$D0,$4A
 dc.b $D0,$D0,$48


building258:
 dc.b $09
 dc.b $C9,$F4,$2A
 dc.b $E0,$DA,$08
 dc.b $E0,$CA,$28
 dc.b $92,$DA,$08
 dc.b $92,$CA,$28
 dc.b $80,$80,$6A
 dc.b $D0,$80,$68
 dc.b $80,$D0,$4A
 dc.b $D0,$D0,$48


building259:
 dc.b $09
 dc.b $C9,$F3,$2A
 dc.b $E0,$DA,$08
 dc.b $E0,$CA,$28
 dc.b $92,$DA,$08
 dc.b $92,$CA,$28
 dc.b $80,$80,$6A
 dc.b $D0,$80,$68
 dc.b $80,$D0,$4A
 dc.b $D0,$D0,$48
 
 
building260:
 dc.b $0B
 dc.b $5A,$95,$26
 dc.b $53,$91,$22
 dc.b $50,$87,$28
 dc.b $14,$CE,$A0
 dc.b $14,$82,$C0
 dc.b $06,$86,$46
 dc.b $4A,$86,$44
 dc.b $06,$CA,$42
 dc.b $4A,$CA,$40
 dc.b $52,$CB,$24
 dc.b $5D,$D6,$26


building261:
 dc.b $0D
 dc.b $50,$0B,$F0
 dc.b $1B,$52,$F0
 dc.b $5A,$95,$26
 dc.b $53,$91,$22
 dc.b $50,$87,$28
 dc.b $14,$CE,$A0
 dc.b $14,$82,$C0
 dc.b $06,$86,$46
 dc.b $4A,$86,$44
 dc.b $06,$CA,$42
 dc.b $4A,$CA,$40
 dc.b $52,$CB,$24
 dc.b $5D,$D6,$26


building262:
 dc.b $0B
 dc.b $0D,$94,$26
 dc.b $1C,$93,$26
 dc.b $11,$8C,$24
 dc.b $07,$CF,$A0
 dc.b $07,$81,$C0
 dc.b $01,$D3,$42
 dc.b $4F,$D3,$40
 dc.b $01,$C3,$46
 dc.b $4F,$C3,$44
 dc.b $5E,$CB,$48
 dc.b $6C,$C8,$26


building263:
 dc.b $0D
 dc.b $5B,$4D,$F0
 dc.b $0E,$53,$F0
 dc.b $0D,$94,$26
 dc.b $1C,$93,$26
 dc.b $11,$8C,$24
 dc.b $07,$CF,$A0
 dc.b $07,$81,$C0
 dc.b $01,$D3,$42
 dc.b $4F,$D3,$40
 dc.b $01,$C3,$46
 dc.b $4F,$C3,$44
 dc.b $5E,$CB,$48
 dc.b $6C,$C8,$26

*
* world 3 buildings
*

building31:
 dc.b $03
 dc.b $C9,$D6,$C4
 dc.b $80,$C7,$E6
 dc.b $D0,$C7,$E4


building32:
 dc.b $03
 dc.b $C9,$D6,$C6
 dc.b $80,$C7,$E6
 dc.b $D0,$C7,$E4


building33:
 dc.b $03
 dc.b $C9,$D6,$C8
 dc.b $80,$C7,$E6
 dc.b $D0,$C7,$E4


building34:
 dc.b $08
 dc.b $0B,$8D,$26
 dc.b $04,$85,$48
 dc.b $41,$82,$46
 dc.b $51,$82,$44
 dc.b $41,$CE,$42
 dc.b $51,$CE,$40
 dc.b $59,$DC,$A0
 dc.b $59,$CC,$C0


building35:
 dc.b $0C
 dc.b $57,$5B,$F0
 dc.b $4D,$5B,$F0
 dc.b $0E,$09,$F0
 dc.b $52,$60,$F0
 dc.b $0B,$8D,$26
 dc.b $04,$85,$48
 dc.b $41,$82,$46
 dc.b $51,$82,$44
 dc.b $41,$CE,$42
 dc.b $51,$CE,$40
 dc.b $59,$DC,$A0
 dc.b $59,$CC,$C0


building36:
 dc.b $05
 dc.b $D4,$D2,$0C
 dc.b $C5,$DE,$0A
 dc.b $C3,$CF,$0E
 dc.b $88,$C5,$2E
 dc.b $C8,$C5,$2C


building37:
 dc.b $05
 dc.b $D4,$D2,$0C
 dc.b $C4,$DE,$0A
 dc.b $C3,$CF,$0E
 dc.b $88,$C5,$2E
 dc.b $C8,$C5,$2C


building38:
 dc.b $05
 dc.b $D3,$D2,$0C
 dc.b $C2,$DE,$0A
 dc.b $C2,$CF,$0E
 dc.b $88,$C5,$2E
 dc.b $C8,$C5,$2C


building39:
 dc.b $05
 dc.b $17,$04,$F1
 dc.b $42,$03,$F1
 dc.b $D8,$D4,$C4
 dc.b $10,$80,$EE
 dc.b $00,$80,$EC


building310:
 dc.b $05
 dc.b $17,$04,$F2
 dc.b $43,$02,$F2
 dc.b $D8,$D4,$C6
 dc.b $10,$80,$EE
 dc.b $00,$80,$EC


building311:
 dc.b $05
 dc.b $17,$04,$F3
 dc.b $44,$02,$F3
 dc.b $D8,$D4,$C8
 dc.b $10,$80,$EE
 dc.b $00,$80,$EC


building312:
 dc.b $08
 dc.b $87,$E0,$0A
 dc.b $88,$D2,$0E
 dc.b $8A,$C7,$2E
 dc.b $C6,$C7,$2C
 dc.b $CC,$ED,$0A
 dc.b $CF,$DE,$0C
 dc.b $C5,$D4,$2E
 dc.b $D5,$D4,$2C


building313:
 dc.b $08
 dc.b $88,$E0,$0A
 dc.b $89,$D2,$0E
 dc.b $8A,$C7,$2E
 dc.b $C6,$C7,$2C
 dc.b $CD,$ED,$0A
 dc.b $D0,$DE,$0C
 dc.b $C5,$D4,$2E
 dc.b $D5,$D4,$2C


building314:
 dc.b $08
 dc.b $89,$E0,$0A
 dc.b $89,$D2,$0E
 dc.b $8A,$C7,$2E
 dc.b $C6,$C7,$2C
 dc.b $CC,$ED,$0A
 dc.b $CF,$DE,$0C
 dc.b $C5,$D4,$2E
 dc.b $D5,$D4,$2C


building315:
 dc.b $08
 dc.b $88,$E0,$0A
 dc.b $89,$D2,$0E
 dc.b $8A,$C7,$2E
 dc.b $C6,$C7,$2C
 dc.b $CB,$ED,$0A
 dc.b $CF,$DE,$0C
 dc.b $C5,$D4,$2E
 dc.b $D5,$D4,$2C


building316:
 dc.b $05
 dc.b $16,$51,$F3
 dc.b $C2,$DD,$CE
 dc.b $D8,$84,$CA
 dc.b $90,$D0,$E6
 dc.b $80,$D0,$E4


building317:
 dc.b $05
 dc.b $16,$51,$F2
 dc.b $C2,$DD,$CE
 dc.b $D8,$83,$CA
 dc.b $90,$D0,$E6
 dc.b $80,$D0,$E4


building318:
 dc.b $05
 dc.b $16,$50,$F1
 dc.b $C2,$DD,$CE
 dc.b $D8,$82,$CA
 dc.b $90,$D0,$E6
 dc.b $80,$D0,$E4


building319:
 dc.b $05
 dc.b $16,$51,$F2
 dc.b $C2,$DD,$CE
 dc.b $D8,$83,$CA
 dc.b $90,$D0,$E6
 dc.b $80,$D0,$E4


building320:
 dc.b $09
 dc.b $54,$89,$26
 dc.b $5A,$CE,$A0
 dc.b $4C,$CE,$A0
 dc.b $5A,$82,$C0
 dc.b $4C,$82,$C0
 dc.b $10,$80,$46
 dc.b $00,$80,$44
 dc.b $10,$D0,$42
 dc.b $00,$D0,$40


building321:
 dc.b $0F
 dc.b $57,$4D,$F0
 dc.b $4F,$4D,$F0
 dc.b $49,$4D,$F0
 dc.b $41,$4D,$F0
 dc.b $45,$52,$F0
 dc.b $53,$52,$F0
 dc.b $54,$89,$26
 dc.b $5A,$CE,$A0
 dc.b $4C,$CE,$A0
 dc.b $5A,$82,$C0
 dc.b $4C,$82,$C0
 dc.b $10,$80,$46
 dc.b $00,$80,$44
 dc.b $10,$D0,$42
 dc.b $00,$D0,$40


building322:
 dc.b $0D
 dc.b $C9,$80,$0A
 dc.b $C5,$CB,$0A
 dc.b $DE,$9B,$0A
 dc.b $D6,$C5,$0A
 dc.b $D5,$8A,$0E
 dc.b $CA,$94,$2E
 dc.b $DA,$94,$2C
 dc.b $8E,$F1,$0C
 dc.b $8D,$E2,$0E
 dc.b $8D,$D7,$2E
 dc.b $C3,$D7,$2C
 dc.b $D1,$A3,$2E
 dc.b $E1,$A4,$2C


building323:
 dc.b $0D
 dc.b $C9,$80,$0A
 dc.b $C6,$CB,$0A
 dc.b $DE,$9B,$0A
 dc.b $D5,$C5,$0A
 dc.b $D4,$8A,$0E
 dc.b $CA,$94,$2E
 dc.b $DA,$94,$2C
 dc.b $8F,$F1,$0C
 dc.b $8D,$E2,$0E
 dc.b $8D,$D7,$2E
 dc.b $C3,$D7,$2C
 dc.b $D1,$A3,$2E
 dc.b $E1,$A4,$2C


building324:
 dc.b $0D
 dc.b $C9,$80,$0A
 dc.b $C6,$CB,$0A
 dc.b $DE,$9B,$0A
 dc.b $D4,$C5,$0A
 dc.b $D4,$8A,$0E
 dc.b $CA,$94,$2E
 dc.b $DA,$94,$2C
 dc.b $8E,$F1,$0C
 dc.b $8D,$E2,$0E
 dc.b $8D,$D7,$2E
 dc.b $C3,$D7,$2C
 dc.b $D1,$A3,$2E
 dc.b $E1,$A4,$2C


building325:
 dc.b $0D
 dc.b $C9,$80,$0A
 dc.b $C6,$CB,$0A
 dc.b $DD,$9B,$0A
 dc.b $D5,$C5,$0A
 dc.b $D4,$8A,$0E
 dc.b $CA,$94,$2E
 dc.b $DA,$94,$2C
 dc.b $8D,$F1,$0C
 dc.b $8C,$E2,$0E
 dc.b $8D,$D7,$2E
 dc.b $C3,$D7,$2C
 dc.b $D1,$A3,$2E
 dc.b $E1,$A4,$2C


building326:
 dc.b $07
 dc.b $90,$E0,$C6
 dc.b $F0,$90,$C8
 dc.b $C8,$DE,$A2
 dc.b $D8,$DE,$A0
 dc.b $C8,$CE,$C2
 dc.b $D8,$CE,$C0
 dc.b $50,$C3,$AE


building327:
 dc.b $07
 dc.b $90,$E0,$C8
 dc.b $F0,$90,$C6
 dc.b $C8,$DF,$A2
 dc.b $D8,$DF,$A0
 dc.b $C8,$CF,$C2
 dc.b $D8,$CF,$C0
 dc.b $50,$C3,$AE


building328:
 dc.b $07
 dc.b $90,$E0,$C6
 dc.b $F0,$90,$C4
 dc.b $C8,$E0,$A2
 dc.b $D8,$E0,$A0
 dc.b $C8,$D0,$C2
 dc.b $D8,$D0,$C0
 dc.b $50,$C3,$AE


building329:
 dc.b $07
 dc.b $90,$E0,$C4
 dc.b $F0,$90,$C6
 dc.b $C8,$DF,$A2
 dc.b $D8,$DF,$A0
 dc.b $C8,$CF,$C2
 dc.b $D8,$CF,$C0
 dc.b $50,$C3,$AE


building330:
 dc.b $0B
 dc.b $12,$C8,$48
 dc.b $57,$DA,$A0
 dc.b $08,$D9,$A0
 dc.b $62,$8D,$26
 dc.b $5A,$87,$48
 dc.b $00,$86,$46
 dc.b $50,$86,$44
 dc.b $00,$CA,$42
 dc.b $50,$CA,$40
 dc.b $57,$CA,$C0
 dc.b $08,$C9,$C0


building331:
 dc.b $12
 dc.b $56,$06,$F0
 dc.b $13,$58,$F0
 dc.b $0B,$58,$F0
 dc.b $0F,$5D,$F0
 dc.b $50,$5E,$F0
 dc.b $54,$59,$F0
 dc.b $4C,$59,$F0
 dc.b $12,$C8,$48
 dc.b $57,$DA,$A0
 dc.b $08,$D9,$A0
 dc.b $62,$8D,$26
 dc.b $5A,$87,$48
 dc.b $00,$86,$46
 dc.b $50,$86,$44
 dc.b $00,$CA,$42
 dc.b $50,$CA,$40
 dc.b $57,$CA,$C0
 dc.b $08,$C9,$C0


building332:
 dc.b $0C
 dc.b $4A,$47,$F1
 dc.b $4A,$4B,$F1
 dc.b $4A,$4F,$F1
 dc.b $98,$E8,$C8
 dc.b $98,$88,$C6
 dc.b $F8,$D0,$C4
 dc.b $CE,$F4,$CC
 dc.b $80,$E6,$A2
 dc.b $D0,$E6,$A0
 dc.b $80,$D6,$C2
 dc.b $D0,$D6,$C0
 dc.b $48,$CB,$AE


building333:
 dc.b $0C
 dc.b $4A,$47,$F1
 dc.b $4A,$4B,$F1
 dc.b $4A,$4F,$F1
 dc.b $F8,$D0,$C6
 dc.b $98,$E8,$C6
 dc.b $98,$88,$C4
 dc.b $CE,$F4,$CC
 dc.b $80,$E6,$A2
 dc.b $D0,$E6,$A0
 dc.b $80,$D6,$C2
 dc.b $D0,$D6,$C0
 dc.b $48,$CB,$AE


building334:
 dc.b $0C
 dc.b $4A,$4F,$F1
 dc.b $4A,$4B,$F1
 dc.b $4A,$47,$F1
 dc.b $F8,$D0,$C8
 dc.b $98,$88,$C6
 dc.b $98,$E8,$C4
 dc.b $CE,$F4,$CC
 dc.b $80,$E6,$A2
 dc.b $D0,$E6,$A0
 dc.b $80,$D6,$C2
 dc.b $D0,$D6,$C0
 dc.b $48,$CB,$AE


building335:
 dc.b $0C
 dc.b $4A,$47,$F1
 dc.b $4A,$4B,$F1
 dc.b $4A,$4F,$F1
 dc.b $98,$88,$C8
 dc.b $F8,$D0,$C6
 dc.b $98,$E8,$C6
 dc.b $CE,$F4,$CC
 dc.b $80,$E6,$A2
 dc.b $D0,$E6,$A0
 dc.b $80,$D6,$C2
 dc.b $D0,$D6,$C0
 dc.b $48,$CB,$AE


building336:
 dc.b $0D
 dc.b $E0,$88,$C6
 dc.b $F0,$D0,$C8
 dc.b $B0,$D0,$CA
 dc.b $F8,$98,$CA
 dc.b $06,$54,$F1
 dc.b $06,$4C,$F2
 dc.b $06,$50,$F2
 dc.b $C8,$F3,$CC
 dc.b $88,$E5,$A2
 dc.b $C8,$E5,$A0
 dc.b $88,$D5,$C2
 dc.b $C8,$D5,$C0
 dc.b $00,$CA,$AE


building337:
 dc.b $0D
 dc.b $F0,$D0,$C6
 dc.b $E0,$88,$C8
 dc.b $B0,$D0,$CA
 dc.b $F8,$98,$CA
 dc.b $06,$55,$F1
 dc.b $06,$4D,$F2
 dc.b $06,$51,$F2
 dc.b $C8,$F4,$CC
 dc.b $88,$E6,$A2
 dc.b $C8,$E6,$A0
 dc.b $88,$D6,$C2
 dc.b $C8,$D6,$C0
 dc.b $00,$CA,$AE


building338:
 dc.b $0D
 dc.b $F0,$D0,$C4
 dc.b $E0,$88,$C6
 dc.b $B0,$D0,$CA
 dc.b $F8,$98,$CA
 dc.b $06,$56,$F1
 dc.b $06,$4E,$F2
 dc.b $06,$52,$F2
 dc.b $C8,$F5,$CC
 dc.b $88,$E7,$A2
 dc.b $C8,$E7,$A0
 dc.b $88,$D7,$C2
 dc.b $C8,$D7,$C0
 dc.b $00,$CA,$AE


building339:
 dc.b $0D
 dc.b $E0,$88,$C4
 dc.b $F0,$D0,$C6
 dc.b $B0,$D0,$CA
 dc.b $F8,$98,$CA
 dc.b $06,$55,$F1
 dc.b $06,$4D,$F2
 dc.b $06,$51,$F2
 dc.b $C8,$F4,$CC
 dc.b $88,$E6,$A2
 dc.b $C8,$E6,$A0
 dc.b $88,$D6,$C2
 dc.b $C8,$D6,$C0
 dc.b $00,$CA,$AE


building340:
 dc.b $10
 dc.b $74,$84,$4A
 dc.b $59,$97,$46
 dc.b $69,$97,$44
 dc.b $59,$87,$42
 dc.b $69,$87,$40
 dc.b $68,$CC,$A0
 dc.b $68,$84,$C0
 dc.b $56,$82,$48
 dc.b $00,$81,$46
 dc.b $50,$81,$44
 dc.b $00,$CF,$42
 dc.b $50,$CF,$40
 dc.b $54,$DF,$A0
 dc.b $06,$DD,$A0
 dc.b $06,$CF,$C0
 dc.b $54,$CF,$C0


building341:
 dc.b $19
 dc.b $61,$50,$F0
 dc.b $4D,$63,$F0
 dc.b $0D,$61,$F0
 dc.b $11,$5C,$F0
 dc.b $09,$5C,$F0
 dc.b $49,$5E,$F0
 dc.b $51,$5E,$F0
 dc.b $65,$4B,$F0
 dc.b $5D,$4B,$F0
 dc.b $74,$84,$4A
 dc.b $59,$97,$46
 dc.b $69,$97,$44
 dc.b $59,$87,$42
 dc.b $69,$87,$40
 dc.b $68,$CC,$A0
 dc.b $68,$84,$C0
 dc.b $56,$82,$48
 dc.b $00,$81,$46
 dc.b $50,$81,$44
 dc.b $00,$CF,$42
 dc.b $50,$CF,$40
 dc.b $54,$DF,$A0
 dc.b $06,$DD,$A0
 dc.b $06,$CF,$C0
 dc.b $54,$CF,$C0


building342:
 dc.b $10
 dc.b $08,$9D,$48
 dc.b $47,$A3,$26
 dc.b $52,$9E,$24
 dc.b $59,$95,$46
 dc.b $69,$95,$44
 dc.b $59,$85,$42
 dc.b $69,$85,$40
 dc.b $56,$82,$48
 dc.b $00,$81,$46
 dc.b $50,$81,$44
 dc.b $00,$CF,$42
 dc.b $50,$CF,$40
 dc.b $4A,$E1,$A0
 dc.b $06,$DD,$A0
 dc.b $06,$CF,$C0
 dc.b $4A,$D1,$C0


building343:
 dc.b $19
 dc.b $57,$02,$F0
 dc.b $12,$21,$F0
 dc.b $0B,$1B,$F0
 dc.b $11,$5C,$F0
 dc.b $09,$5C,$F0
 dc.b $0D,$61,$F0
 dc.b $43,$65,$F0
 dc.b $01,$60,$F0
 dc.b $47,$60,$F0
 dc.b $08,$9D,$48
 dc.b $47,$A3,$26
 dc.b $52,$9E,$24
 dc.b $59,$95,$46
 dc.b $69,$95,$44
 dc.b $59,$85,$42
 dc.b $69,$85,$40
 dc.b $56,$82,$48
 dc.b $00,$81,$46
 dc.b $50,$81,$44
 dc.b $00,$CF,$42
 dc.b $50,$CF,$40
 dc.b $4A,$E1,$A0
 dc.b $06,$DD,$A0
 dc.b $06,$CF,$C0
 dc.b $4A,$D1,$C0


building344:
 dc.b $10
 dc.b $B0,$88,$C6
 dc.b $E0,$D0,$C6
 dc.b $D0,$E8,$C8
 dc.b $E8,$F8,$CA
 dc.b $16,$55,$F1
 dc.b $16,$4D,$F1
 dc.b $16,$51,$F2
 dc.b $0D,$6A,$F2
 dc.b $11,$6B,$F1
 dc.b $0B,$6B,$F1
 dc.b $8A,$F8,$CE
 dc.b $98,$EA,$A2
 dc.b $88,$EA,$A0
 dc.b $98,$DA,$C2
 dc.b $88,$DA,$C0
 dc.b $10,$CC,$AE


building345:
 dc.b $10
 dc.b $E0,$D0,$C4
 dc.b $D0,$E8,$C6
 dc.b $B0,$88,$C8
 dc.b $E8,$F8,$CA
 dc.b $16,$57,$F1
 dc.b $16,$4D,$F1
 dc.b $16,$52,$F2
 dc.b $0D,$6B,$F2
 dc.b $11,$6C,$F1
 dc.b $0B,$6C,$F1
 dc.b $8A,$F9,$CE
 dc.b $98,$EB,$A2
 dc.b $88,$EB,$A0
 dc.b $98,$DB,$C2
 dc.b $88,$DB,$C0
 dc.b $10,$CC,$AE


building346:
 dc.b $10
 dc.b $D0,$E8,$C4
 dc.b $B0,$88,$C6
 dc.b $E0,$D0,$C6
 dc.b $E8,$F8,$CA
 dc.b $16,$58,$F1
 dc.b $16,$4D,$F1
 dc.b $16,$53,$F2
 dc.b $0D,$6C,$F2
 dc.b $11,$6D,$F1
 dc.b $0B,$6D,$F1
 dc.b $8A,$FA,$CE
 dc.b $98,$EC,$A2
 dc.b $88,$EC,$A0
 dc.b $98,$DC,$C2
 dc.b $88,$DC,$C0
 dc.b $10,$CC,$AE


building347:
 dc.b $10
 dc.b $B0,$88,$C4
 dc.b $D0,$E8,$C6
 dc.b $E0,$D0,$C8
 dc.b $16,$57,$F1
 dc.b $E8,$F8,$CA
 dc.b $16,$4D,$F1
 dc.b $16,$52,$F2
 dc.b $0D,$6B,$F2
 dc.b $11,$6C,$F1
 dc.b $0B,$6C,$F1
 dc.b $8A,$F9,$CE
 dc.b $98,$EB,$A2
 dc.b $88,$EB,$A0
 dc.b $98,$DB,$C2
 dc.b $88,$DB,$C0
 dc.b $10,$CC,$AE


building348:
 dc.b $10
 dc.b $D8,$B0,$C8
 dc.b $E8,$98,$C6
 dc.b $A8,$80,$C6
 dc.b $11,$23,$F1
 dc.b $1A,$20,$F2
 dc.b $04,$23,$F2
 dc.b $44,$20,$F3
 dc.b $10,$9C,$EE
 dc.b $00,$9C,$EC
 dc.b $D9,$F7,$CE
 dc.b $DD,$F0,$CC
 dc.b $D0,$E2,$A2
 dc.b $E0,$E2,$A0
 dc.b $D0,$D2,$C2
 dc.b $E0,$D2,$C0
 dc.b $58,$C4,$AE


building349:
 dc.b $10
 dc.b $A8,$80,$C8
 dc.b $D8,$B0,$C6
 dc.b $E8,$98,$C4
 dc.b $1A,$20,$F1
 dc.b $11,$23,$F2
 dc.b $44,$20,$F2
 dc.b $04,$23,$F3
 dc.b $10,$9C,$EE
 dc.b $00,$9C,$EC
 dc.b $D9,$F8,$CE
 dc.b $DD,$F1,$CC
 dc.b $D0,$E3,$A2
 dc.b $E0,$E3,$A0
 dc.b $D0,$D3,$C2
 dc.b $E0,$D3,$C0
 dc.b $58,$C4,$AE


building350:
 dc.b $10
 dc.b $E8,$98,$C6
 dc.b $A8,$80,$C6
 dc.b $D8,$B0,$C4
 dc.b $44,$20,$F1
 dc.b $1A,$20,$F2
 dc.b $04,$23,$F2
 dc.b $11,$23,$F3
 dc.b $10,$9C,$EE
 dc.b $00,$9C,$EC
 dc.b $D9,$F9,$CE
 dc.b $DD,$F2,$CC
 dc.b $D0,$E4,$A2
 dc.b $E0,$E4,$A0
 dc.b $D0,$D4,$C2
 dc.b $E0,$D4,$C0
 dc.b $58,$C4,$AE


building351:
 dc.b $10
 dc.b $E8,$98,$C8
 dc.b $D8,$B0,$C6
 dc.b $A8,$80,$C4
 dc.b $04,$23,$F1
 dc.b $44,$20,$F2
 dc.b $11,$23,$F2
 dc.b $1A,$20,$F3
 dc.b $10,$9C,$EE
 dc.b $00,$9C,$EC
 dc.b $D9,$F8,$CE
 dc.b $DD,$F1,$CC
 dc.b $D0,$E3,$A2
 dc.b $E0,$E3,$A0
 dc.b $D0,$D3,$C2
 dc.b $E0,$D3,$C0
 dc.b $58,$C4,$AE


building352:
 dc.b $18
 dc.b $29,$86,$4A
 dc.b $21,$86,$4A
 dc.b $19,$86,$4A
 dc.b $1A,$C3,$A0
 dc.b $6C,$E0,$A0
 dc.b $6C,$D0,$C0
 dc.b $73,$91,$48
 dc.b $55,$97,$46
 dc.b $65,$97,$44
 dc.b $65,$87,$40
 dc.b $55,$87,$42
 dc.b $4E,$87,$28
 dc.b $0E,$89,$46
 dc.b $42,$89,$44
 dc.b $0E,$C7,$42
 dc.b $42,$C7,$40
 dc.b $48,$D5,$A0
 dc.b $44,$C9,$48
 dc.b $4D,$CA,$46
 dc.b $5D,$CA,$44
 dc.b $4D,$DA,$42
 dc.b $5D,$DA,$40
 dc.b $5E,$EE,$A0
 dc.b $5E,$DE,$C0


building353:
 dc.b $25
 dc.b $70,$0F,$F0
 dc.b $21,$47,$F0
 dc.b $25,$42,$F0
 dc.b $1D,$42,$F0
 dc.b $41,$59,$F0
 dc.b $45,$54,$F0
 dc.b $03,$54,$F0
 dc.b $57,$72,$F0
 dc.b $53,$6D,$F0
 dc.b $5B,$6D,$F0
 dc.b $65,$64,$F0
 dc.b $61,$5F,$F0
 dc.b $69,$5F,$F0
 dc.b $29,$86,$4A
 dc.b $21,$86,$4A
 dc.b $19,$86,$4A
 dc.b $1A,$C3,$A0
 dc.b $6C,$E0,$A0
 dc.b $6C,$D0,$C0
 dc.b $73,$91,$48
 dc.b $55,$97,$46
 dc.b $65,$97,$44
 dc.b $65,$87,$40
 dc.b $55,$87,$42
 dc.b $4E,$87,$28
 dc.b $0E,$89,$46
 dc.b $42,$89,$44
 dc.b $0E,$C7,$42
 dc.b $42,$C7,$40
 dc.b $48,$D5,$A0
 dc.b $44,$C9,$48
 dc.b $4D,$CA,$46
 dc.b $5D,$CA,$44
 dc.b $4D,$DA,$42
 dc.b $5D,$DA,$40
 dc.b $5E,$EE,$A0
 dc.b $5E,$DE,$C0


 




