*
* Equates for the Ultra Force
*

	;Equates for Bob the Robot
	
left			equ 0		;directions
right			equ 1	
up				equ 2
down			equ 3

gearup			equ	0
geardown		equ	1

faceleft		equ -1
faceright		equ 1

maxstrength		equ	48
maxenergy		equ	48

maxheat			equ	24
overheatpoint	equ	20

MAXACCEL		equ	28
MAXDECEL		equ	13
	
	; Bob's Status
	
	
dead			equ	0		;dead
dying			equ	1		;in process of dying
walking			equ	2		;regular walk
fidgeting		equ	3		;picking nose
jumping			equ 4		;jump animation
crouching		equ 5		;crouch low
falling			equ	6		;rapid descent
climbing		equ 7		;up/down on elevator
handmove		equ 8		;climb hand over hand
carried			equ	9		;carried around by remote
elevator		equ	10		;controlling elevator
ridebubble		equ	11		lriding gas bubbles
teleported		equ	12		;attached to copter droid
windblown		equ 13		;blown by Ultra Force bubbles
drivescooter	equ	14		;drive the level 1 tank
rideship		equ	15		;pilot the levle 1 spaceship
pickingup		equ	16		;scoop up item
stopping		equ	17		;skid to halt
landing			equ	18		;after jump/fall
buttsplat		equ	19		;splat on ground
wallsplat		equ	20		;crash into wall
switchpull		equ	21		;activate wall machinery
recoiling		equ	22		;recoil after plasm beam shot
giveitem		equ	23		;bob gives an item to a non-player character
blasted			equ	24		;bob was smashed by land mine
sleeping		equ	25		;bob hides in wall
leavegoth		equ	26		;enter space ship in spaceport
headwhack		equ	27		;whack head on ceiling
rideplatform	equ	28		;ride on one of many platforms

commencegame	equ	88		;sleep at start of game
inspaceport		equ	99		;bob is entering space-port

onworld			equ 120		;on a world map


	; Death Types
	
crumbled		equ	0		;structural damage (regular)
drained			equ 1		;energy drained
sidecrush		equ	2		;squished from side
topcrush		equ	3		;squished from top
melted			equ 4		;energy drained
burned			equ 5		;fried by flames


	; Fidget Types
	
foottap			equ 0		;tap foot 
screentap		equ	1		;turn and tap on screen
wavetome		equ	2		;wave to player
lookaround		equ	3		;ho-hum
fallasleep		equ	4		;nappy-time
scratch			equ	5		;scratch himself

	; Facial Expressions
	
normal			equ	0		;regular expression
scared			equ 1 		;oh-oh
angry			equ 2
alerted			equ 3
facerecoiling	equ 4	
janitor			equ 5		;wearing hat

	; Weapons Arm
	
gun				equ   0		;regular shot
uzi				equ   1		;multi-fire
shootfire		equ   2		;flame thrower
shootwater		equ   3		;water cannon
energybeam		equ   4		;partical weapon
scudlaunch		equ   5		;missiles

	; Utility Arm
	
punch			equ   0  	;regular punch
grenade			equ   1  	;grenade throw
bouncer			equ   2		;angled wall bouncer
dartgun			equ   3		;looping darts
cellbomb		equ   4		;cell grenade
dogiveitem		equ	  5		;give item to npc


	; Remotes
	
flyinggun		equ	0		;copter with gun
tankgun			equ 1		;ground firing remote
trampguy		equ 2		;bouncer remote
bombguy			equ 3		;walking bomb
copterguy		equ 4		;carrying copter
bezerker		equ 5		;home and kill all

	; Power chips
	
bshield			equ	0		;bullet shield
eshield			equ	1		;electric shield
ishield			equ 2		;invibile shield
superjump		equ	3		;super jump
irvision		equ	4		;infrared vision
coolingfan		equ	5		;cooling control
translator		equ	6		;ancient voice translator
empty			equ 7		;

	; Power up items
	
fbullets		equ	0		;find 100 bullets
fflame			equ 1		;flame tank
fwater			equ	2		;water tank
fmissile		equ 3		;missile
fstrength		equ 4		;power up structure
fenergy			equ 5		;energy build up

	; carrying items
	
alarmcard		equ	0		;turn off security alarms

telecrystal		equ	3		;teleport crystal
key1			equ 4		;key type #1
key2			equ 5		;key #2
key3			equ 6		;key #3
key4			equ 7		;key #4
artifact		equ 8		;main teleport key

	;door platform stuff
	
opened			equ	0
opening			equ 1
closed			equ	2
closing			equ	3
	
	;elevator stuff
	
parked			equ	0
rising			equ	1
dropping		equ	2
stopped			equ	3

	;hit by equates - bob hitting enemy
	
hitbynothing	equ	0
hitbybullet		equ	1
hitbyuzi		equ	2
hitbyflame		equ	3
hitbybeam		equ	4
hitbymissile	equ	5
hitbysonic		equ	6
hitbypunch		equ	7
hitbybezerker	equ	8
hitbyflash		equ	9


	;bob getting hit equates
	
bobhitbullet	equ	1
bobhitmissile	equ	2
bobhitgrenade	equ	3
bobhitpunch		equ	4
bobhitmuncher	equ	5
bobhitcluster	equ	6
bobhitbeam		equ	7
bobhitlightening	equ	8
bobhitslime		equ	9
bobhitfire		equ	10


	;map types
	
borglevel		equ	0
buglevel		equ	1
spacelevel		equ	3
ancientlevel	equ	4
lavalevel		equ 6
ultralevel		equ	8
bubblelevel		equ	9
worldlevel		equ	10
worldlevel2		equ	11
worldlevel3		equ	12
borglevel2		equ	14
borglevel3		equ	15
borglevel4		equ	16		;door!!!

	;character types
	
blank			equ	0
floor			equ	1
solid			equ	1	;2
sleepleft		equ	3
sleepright		equ	4
ladderleft		equ	5
ladderright		equ	6
overhand		equ	7
soliddoor		equ	8
death			equ	9
victory			equ	10
elevatorshaft	equ	11
elevatorstop	equ	12

*
* Music Equates
*

theme		equ	1
tune_off	equ	2
borgtheme	equ	3
bugtheme	equ 4
anctheme	equ	5
lavatheme	equ	5
ultratheme	equ	6
bubbletheme equ	4

*
* BOB SOUNDS
*

SFXGUN          EQU     $81     ;;;   FIRE GUN	
SFXUZI          EQU     $82     ;;;   FIRE TRIPLE SHOT 
SFXFLAME        EQU     $83     ;;;   FIRE FLAME
SFXMISSILE      EQU     $84     ;;;   FIRE MISSILE
SFXBEAM         EQU     $85     ;;;   FIRE PULSE BEAM
SFXSONIC        EQU     $86     ;;;   FIRE SONIC BOOM
								
SFXSWITCH       EQU     $87       ;;;   CHANGE WEAPON CLICK

SFXDEPLOYREM    EQU     $88       ;;;   OPEN HATCH DOOR FOR REMOTE
SFXPUNCH        EQU     $89       ;;;   PUNCH WHOOSH (louder)
SFXSKID         EQU     $8a       ;;;   SMALL SKID FOR STOPPING
SFXCROUCH       EQU     $8b       ;;;   SQUISHING DOWN
SFXCLIMB	    EQU     $8c       ;;;   CLIMBING ON LADDER
SFXFINGER       EQU     $8d       ;;;   HAND OVER HAND (shorter 1/2)

SFXSCOOTER      EQU     $8e		  ; SCOOTER ENGINE - doppler whoosh       
SFXCARENGINE    EQU     $8f		  ; Old style Piston engine        

SFXSLEEP        EQU     $90       ;;;   SNORING ZZZZ

SFXPICKUP       EQU     $91       ;;; GET OBJECT (shorter)
SFXPOWERUP      EQU     $92       ;;; ENERGY RECHARGE (shorter)

SFXBOBHIT1      EQU     $93       ;OOOF - VOICE
SFXMELTDEATH   	EQU     $94       ;Bob melts
SFXCRUMBLEDEATH EQU     $95       ;Bob crumbles

SFXBOBSPLAT1    EQU     $96       ;;; HIT WALL FACE FIRST
SFXBOBSPLAT2    EQU     $97       ;;; BUTT SPLAT
SFXELEVATOR     EQU     $cd       ;;; ELEVATOR ACTIVATE - (turn on only)

*
* REMOTE SOUNDS
*

SFXLIGHT        EQU     $98       ;;;   FLASH SOUND
SFXSHIELD       EQU     $99       ;;;	HUMMMM..(make more electric)
SFXSPRING       EQU     $9a       ;;;   BOINGG..(remove second half)
SFXCOPTER       EQU     $9b       ;;;   CHUGGA.CHUGGA.CHUGGA (too quiet)

SFXPARACHUTE   EQU      $9c       ; (parachute opening)

SFXBEZERKER     EQU     $9d       ;;;   TICK.TICK..BOOOM!

*
* GENERIC SOUNDS
*

SFXEXPLODE1     EQU     $9e     ;;; 	SMALL EXPLOSION (make all bigger)
SFXEXPLODE2     EQU     $9f     ;;;     BIGGER EXPLOSION 
SFXBUGSPLAT1    EQU     $a0    ;;;     SMALL BUG SPLAT
SFXBUGSPLAT2    EQU     $a1     ;;;	    LARGER BUG SPLAT
SFXNUKEOUT		EQU		$a2		;NUKE-REZ OUT
SFXFLAMEOUT		EQU		$a3		;FLAME DEATH

SFXTELEPORT     EQU     $a4     ;;;  HUM AS BOB REZES IN/OUT OF LEVELS
								;(remove end bit)
								
SFXCRASH1       EQU     $a5     ;SMALL THUD
SFXCRASH2       EQU     $a6     ;LARGER THUD - CRUSH WALL
SFXCRASH3		EQU		$9f		;VERY LARGE THUD - Dropping ball


*
* BORG SOUNDS
*


SFXBORGFIRE1    EQU     $a7       ;> BORG FIRES WEAPON - BULLET
SFXBORGFIRE2    EQU     $a8       ;> BORG FIRES WEAPON - BOMMERANG
SFXBORGFIRE3    EQU     $a9       ;> BORG FIRES WEAPON - BIG BULLET
SFXBORGFIRE4    EQU     $aa       ;> BORG FIRES WEAPON - OTHER THINGY
SFXTURRETFIRE   EQU     $ab       ;;; WALL TURRETS FIRE

SFXMISSILE1     EQU     $ac       ;HORIZONTAL SLOW MISSILES
SFXMISSILE2     EQU     $ad       ;FAST WHOOSH MISSILES

SFXGASJET       EQU     $ae       ;;; STEAM JETS FROM PIPES

SFXSNAKEBOSS1	EQU		$af		  ;> SNAKE BOSS SHRIEK - HIGH
SFXSNAKEBOSS2	EQU		$b0	      ;> SNAKE BOSS SHRIEK - LOW
SFXSNAKEBOSS3	EQU		$b1		  ;> SNAKE BOSS SHRIEK - FIRE BULLET

; DOOR LIFTING HUGE BORG BOSS

SFXDOOR1		EQU		$b2			; BIG,DEEP HEARTY LAUGH
SFXDOOR2		EQU		$b3			; PUNCH OUT HOLES THROUGH DOOR
SFXDOOR3		EQU		$b4			; LIFT DOOR UP (1 SECOND)
SFXDOOR4		EQU		$b5			; POUND FIST DOWN AT BOB

*
* BUG SOUNDS AND ULTRA FORCE WORLD 3 SOUNDS
*

SFXHEADDROP     EQU     $b6       ; HEAD EATER DROP OFF CEILING
SFXHEADEAT      EQU     $b7       ; HEAD EATER ATTACHED
SFXROLYPOLY     EQU     $b8       ; BOWLING BALL
SFXSCUTTLE      EQU     $b9       ; SCORPION /SANDCRAB SCUTTLE
SFXWHIP         EQU     $ba       ; SCORPION WHIP TALE                        
SFXSNAP			EQU		$bb		  ; SANDCRAB CLAWS SNAP AT BOB
SFXWINGS        EQU     $bc       ; BUZZZ OF BIG FLIES
SFXFLIES        EQU     $bd       ; LITTLE FLIES
SFXEGG          EQU     $be       ; EGG SPLOTCHING OUT ROACHES
SFXEGGOPEN		EQU		$bf		  ; EGG OPENS UP 
SFXWORKER       EQU     $c0       ; WORKER FIRES VENOM BALL, BUG SHOOT GENERAL
SFXQUEENSCREAM  EQU     $c1       ; DYING ALIEN SHRIEK
SFXDRIP			EQU		$c2		  ; QUEEN DRIPPING GUTS

; ULTRA FORCE SPECIFIC SOUNDS

SFXFISHJUMP		EQU		$c3		; FISH JUMPING OUT OF LIQUID
SFXNERVEPULSE	EQU		$c4		; NERVE PULSE GATE ACTIVATE
SFXJELLYFIRE	EQU		$c5		; JELLY CREATURE FIRES
SFXEELFIRE		EQU		$c6		; EEL FIRES

SFXCLUSTER		EQU		$c7		; SOUND WHEN CELL CLUSTER IS SHOT BY BOB
SFXCELLMANFIRE	 EQU	$c8		; CELL MAN SHOOTS
SFXPUSSMINEBURST EQU	$c9		; PUSS MINE EXPLODES INTO FOUR PIECES
SFXMENACE		EQU		$ca		;	LADDER MENACE CLIMBS UP/DOWN LADDER
SFXPUSSDROP		EQU		$cb		;	BALL OF PUSS DROPS FROM LITTLE CREATURE
SFXPUSSMANBELCH	EQU		$cc		;	PUSS MAN BOSS VOMITS EMBRYO
SFXPUSS2		EQU		$cc		;
SFXPUSS3		EQU		$cb		;
SFXPUSS4		EQU		$cc		;
SFXPUSS5		EQU		$cb		;

		;big boss is silent for now, until it's there to be seencb
SFXBIGBOSS1		EQU		$cd		;FINAL BOSS ZOOM IN FROM DISTANCE (DOPPLER)
SFXBIGBOSS2		EQU		$cd		;ZOOM OUT
SFXBIGBOSS3		EQU		$cd		;BIG VOICE SAYING "BOOOO!"
SFXBIGBOSS4		EQU		$cd		;SCREAM AS IT GETS SHOT TO BITS
SFXBIGBOSS5		EQU		$cd		;"SCHLOOORP" AS INISDE PART STICKS TO WALLS
;EMPTY			EQU		$cd		;


*
* TEMPLE SOUNDS
*

SFXTHUNDER      EQU     $ce       ; CRACK OF THUNDER
SFXPOWERORB     EQU     $cf       ; SHOOTING SOUND FOR POWER ORB BALLS

SFXBOWS         EQU     $d0       ; BOW RELEASE
SFXSCREAMHAND   EQU     $d1       ; hand scream

SFXEYEPOP       EQU     $d2       ; EYE ON HAND IS SHOT
SFXTOUNGE       EQU     $d3       ; TONGUE SHOOTS OUT     

SFXBALLDROP     EQU     $d4       ; GIANT SPHERE DROPS ON GROUND THUD

SFXPOTATO		EQU		$d5		  ; PUNCH BY GIANT MR.POTATO HEAD 

SFXSHADOWMAN	EQU		$cd			;SHADOW MAN EMERGES

SFXGOLDBALL		EQU		$d6			;GOLDEN BALLS ENTER/LEAVE LAVA


;SFXFLOWER1		EQU		$82			;FLOWER BOSS FLOWER POPS OPEN
;SFXFLOWER2		EQU		$82			;ARM FLINGS BOB
;SFXFLOWER3		EQU		$82			;ARM SMASHED BOB INTO PANCAKE
;SFXFLOWER4		EQU		$82			;SHOT-OFF ARM SPEWS GUNK INTO AIR
;SFXFLOWER5		EQU		$82			;MUTOID HEAD EMRGES FROM FLOWER POD

;SFXPOPEYE1		EQU		$82			;BOSS WALKS
;SFXPOPEYE2		EQU		$82			;BOSS JUMPS
;SFXPOPEYE3		EQU		$82			;BOSS LANDS
;SFXPOPEYE4		EQU		$82			;BOSS TURNS HEAD AND SPITS AT BOB
*
* LAVA SOUNDS
*
SFXFIREIMP      EQU     $d7        ; FIRE IMP FLY BY

SFXFIREBALLS    EQU     $d8        ; BALLS EMERGING FROM LAVA

SFXFIRETHROW    EQU     SFXFIREBALLS ; FIRE BALLS THROWN BY FIRE MAN

SFXLAVAMAN		EQU		$d9			; LAVA MAN RISES FROM LAVA STREAMS

SFXLAVABOSS		EQU		SFXLAVAMAN	; LAVA BOSS RISES FROM LAVA
SFXLAVABOSSSHOOT EQU	SFXFIREBALLS	 ; BOSS SHOOTS FIREBALL

SFXVOLCANO		EQU		SFXFIREBALLS	; VOLCANO SHOOTS FIREBALLS


*
* ULTRA FOREST SOUNDS
*

SFXVENUSCHOMP		EQU		$da			;VENUS FLYTRAP CHOMPS
SFXVENUSFIRE		EQU		$db			;VENUS FLYTRAP FIRES

SFXBUBBLEFIRE		EQU		$dc			;BUBBLE MAN FIRES BULLET
SFXBUBBLEDIE		EQU		$dd			;BUBBLE MAN EXPLODES

SFXSHROOMPOP		EQU		$de			;MUSHROOM EXPLODES INTO SPORES

SFXTREETURRET		EQU		SFXBUBBLEFIRE	;TREE TURRET FIRES BUBBLE

SFXFUNBALLBOUNCE	EQU		$df			;FUN BALL "BOING" BOUNCE

SFXFRUITDROP		EQU		$e0			;ROTTEN FRUIT DROPS FROM TREE

SFXDONUTATTACK		EQU		$e1		    ;FLYING DONUTS - "ATTACK" NOISE 


*
* Super Famicom Constant variables
*


;Joy Controllers

;High Byte
JoyRight	equ	%00000001
JoyLeft	equ	%00000010
JoyDown	equ	%00000100
JoyUp		equ	%00001000
JoyStart	equ	%00010000
JoySelect	equ	%00100000
JoyY		equ	%01000000
JoyB		equ	%10000000

;Low Byte
JoyTR		equ	%00010000
JoyTL		equ	%00100000
JoyX		equ	%01000000
JoyA		equ	%10000000

;Blanking

ForcedBlankOn	equ	%10000000
ForcedBlankOff	equ	%00000000

;Backgrounds

;Background Sizes
BG18X8	equ	%00000000
BG116X16	equ	%00010000
BG28X8	equ	%00000000
BG216X16	equ	%00100000
BG38X8	equ	%00000000
BG316X16	equ	%01000000
BG48X8	equ	%00000000
BG416X16	equ	%10000000

;Background 3 priority
BG3LO		equ	%00000000
BG3HI		equ	%00001000

;Background Mode
BGMode0	equ	%00000000
BGMode1	equ	%00000001
BGMode2	equ	%00000010
BGMode3	equ	%00000011
BGMode4	equ	%00000100
BGMode5	equ	%00000101
BGMode6	equ	%00000110
BGMode7	equ	%00000111

;Background Screen Base address

;Main Screen Designation
BG1MainOff	equ	%00000000
BG1MainOn	equ	%00000001
BG2MainOff	equ	%00000000
BG2MainOn	equ	%00000010
BG3MainOff	equ	%00000000
BG3MainOn	equ	%00000100
BG4MainOff	equ	%00000000
BG4MainOn	equ	%00001000
ObjMainOff	equ	%00000000
ObjMainOn	equ	%00010000

;Sub Screen Designation
BG1SubOff	equ	%00000000
BG1SubOn	equ	%00000001
BG2SubOff	equ	%00000000
BG2SubOn	equ	%00000010
BG3SubOff	equ	%00000000
BG3SubOn	equ	%00000100
BG4SubOff	equ	%00000000
BG4SubOn	equ	%00001000
ObjSubOff	equ	%00000000
ObjSubOn	equ	%00010000

;Screen Size Destination
BGSize1X1	equ	%00000000
BGSize2X1	equ	%00000001
BGSize1X2	equ	%00000010
BGSize2X2	equ	%00000011

;Increment Value
Inc8for32	equ	%00000100
Inc8for64	equ	%00001000
Inc8for128	equ	%00001100
Inc1X1	equ	%00000000
Inc32X32	equ	%00000001
Inc64X64	equ	%00000010
Inc128X128	equ	%00000011

;Increment Timing H/L Inc
IncLo		equ	%00000000
IncHi		equ	%10000000

;Objects

;Object Sizes
Obj8X16	equ	%00000000
Obj8X32	equ	%00100000
Obj8X64	equ	%01000000
Obj16X32	equ	%01100000
Obj16X64	equ	%10000000
Obj32X64	equ	%10100000

;Object Name Select Locations - Object Data Area Select
ObjArea1	equ	%00000000
ObjArea2	equ	%00001000
ObjArea3	equ	%00010000
ObjArea4	equ	%00011000

;Object Name Base Select - Object Base Address
ObjBase0	equ	%00000000
ObjBase2	equ	%00000001
ObjBase4	equ	%00000010
ObjBase6	equ	%00000011

;Object Interlace Options
ObjVOff	equ	$00000000
ObjVOn	equ	$00000010

	MACRO	SET8
	longa	off
	longi	off
	sep	#$30
	endm
	
	MACRO	SET8A
	longa	off
	sep	#$20
	endm	

	MACRO	SET8I
	longi	off
	sep	#$10
	endm

	MACRO SET16
	longa	on
	longi	on
	rep	#$30
	endm	

	MACRO SET16I
	longi	on
	rep	#$10
	endm	
	
	MACRO SET16A
	longa	on
	rep	#$20
	endm		
	
; SFXBload <filename>
;
; Loads a binary image at the program counter.
; The post-bload address will be aligned to accomodate the holes in the address space.
;
; Notes:
;	This macro will fail if used across bank $3F..$40 and isn't needed from bank
; $40..$7D.
	MACRO SFXBload
SFXL_BASE	set	*
		bload	{1}
SFXL_LEN	set (*-SFXL_BASE)
SFXL_BOFF	set (SFXL_LEN&$FF8000)
		phase ((*+SFXL_BOFF)&$FF7FFF)+$8000
	endm

; SFXBsave <address 1>, <address 2>, <filename>
;
; Saves a binary image of assembled program from <address 1> to <address 2>.

	MACRO	SFXBsave
SFXS1_ADDR	set	({1} & $7FFF) + (({1} >> 16) * $8000)
SFXS2_ADDR	set	({2} & $7FFF) + (({2} >> 16) * $8000)
SFXS_SIZE	set	SFXS2_ADDR-SFXS1_ADDR
		bsave	SFXS1_ADDR, SFXS_SIZE, {3}
	ENDM


	MACRO	SFXOrg
			if {1} <= $3f
			org ({1}<<16) + {2} - ($8000 * ({1} + 1))
	   	else
       		org (({1}-$80)<<16) + {2} - ($8000 * (({1}-$80) + 1))
		endif  
	phase	({1}<<16) + {2}
	endm
	
		
	
;	MACRO	SFXOrg
;	if {1} <= $3f
;		org ({1}<<16) + {2} - ($8000 * ({1} + 1))
;	else
;		org ({1}<<16) + {2} - $200000
;	endif
;	phase	({1}<<16) + {2}
;	endm
	
	
	

*
* Super Famicom System Equates
*


	;PPU


INIDISP		EQU		$2100
OBJSEL		EQU		$2101
OAMADDL		EQU		$2102
OAMADDH		EQU		$2103
OAM_DATA	EQU		$2104
BGMODE		EQU		$2105
MOSAIC		EQU		$2106
BG1SC		EQU		$2107
BG2SC		EQU		$2108
BG3SC		EQU		$2109
BG4SC		EQU		$210A
BG12NBA		EQU		$210B
BG34NBA		EQU		$210C
BG1HOFS		EQU		$210D
BG1VOFS		EQU		$210E
BG2HOFS		EQU		$210F
BG2VOFS		EQU		$2110
BG3HOFS		EQU		$2111
BG3VOFS		EQU		$2112
BG4HOFS		EQU		$2113
BG4VOFS		EQU		$2114
VMAINC		EQU		$2115
VMADDL		EQU		$2116
VMADDH		EQU		$2117
VMDATAWL	EQU		$2118
VMDATAWH	EQU		$2119
M7SEL		EQU		$211A
M7A			EQU		$211B
M7B			EQU		$211C
M7C			EQU		$211D
M7D			EQU		$211E
M7X			EQU		$211F
M7Y			EQU		$2120
CGADD		EQU		$2121
CGDATAW		EQU		$2122
W12SEL		EQU		$2123
W34SEL		EQU		$2124
WOBJSEL		EQU		$2125
WH0			EQU		$2126
WH1			EQU		$2127
WH2			EQU		$2128
WH3			EQU		$2129
WBGLOG		EQU		$212A
WOBJLOG		EQU		$212B
TM			EQU		$212C
TS			EQU		$212D
TMW			EQU		$212E
TSW			EQU		$212F
CGSWSEL		EQU		$2130
CGADSUB		EQU		$2131
COLDATA		EQU		$2132
SETINI		EQU		$2133
MPYL		EQU		$2134
MPYM		EQU		$2135
MPYH		EQU		$2136
SLHV		EQU		$2137
OAMDATA		EQU		$2138
VMDATARL	EQU		$2139
VMDATARH	EQU		$213A
CGDATAR		EQU		$213B
OPHCT		EQU		$213C
OPVCT		EQU		$213D
STAT77		EQU		$213E
STAT78		EQU		$213F


APU_PORT0	EQU		$2140
APU_PORT1	EQU		$2141
APU_PORT2	EQU		$2142
APU_PORT3	EQU		$2143

APU100		EQU		$2140
APU101		EQU		$2141
APU102		EQU		$2142
APU103		EQU		$2143

WMDATA		EQU		$2180
WMADDL		EQU		$2181
WMADDM		EQU		$2182
WMADDH		EQU		$2183

	;CPU
	
	
NMITIMEN	EQU		$4200
WRIO		EQU		$4201
WRMPYA		EQU		$4202
WRMPYB		EQU		$4203
WRDIVL		EQU		$4204
WRDIVH		EQU		$4205
WRDIVB		EQU		$4206
HTIMEL		EQU		$4207
HTIMEH		EQU		$4208
VTIMEL		EQU		$4209
VTIMEH		EQU		$420A
MDMAEN		EQU		$420B
HDMAEN		EQU		$420C
MEMSEL		EQU		$420D
;			EQU		$420E
;			EQU		$420F
RDNMI		EQU		$4210
TIMEUP		EQU		$4211
HVBJOY		EQU		$4212
RDIO		EQU		$4213
RDDIVL		EQU		$4214
RDDIVH		EQU		$4215
RDMPYL		EQU		$4216
RDMPYH		EQU		$4217
JOY1L		EQU		$4218
JOY1H		EQU		$4219
JOY2L		EQU		$421A
JOY2H		EQU		$421B
JOY3L		EQU		$421C
JOY3H		EQU		$421D
JOY4L		EQU		$421E
JOY4H		EQU		$421F




